<?php 
/** 
 * Array of core option record values for installation related procedures in WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */


$total_option_records = 0;// used to count total options and assign count to label
$wpecus_options_array = array();
++$total_option_records;
# is_installed, result of last installation status check
$wpecus_options_array['wpecus_is_installed']['datatype'] = 'boolean';// array,boolean,string etc
$wpecus_options_array['wpecus_is_installed']['purpose'] = 'Indicates result of last installation status check, should hold value true for normal operation else an element of installation is missing.';
$wpecus_options_array['wpecus_is_installed']['label'] = 'Option Record '.$total_option_records;
$wpecus_options_array['wpecus_is_installed']['name'] = 'Installation Switch';
$wpecus_options_array['wpecus_is_installed']['inputtype'] = 'hidden';
$wpecus_options_array['wpecus_is_installed']['defaultvalue'] = 'false';// NA if not applicable i.e. the default value is generated in the script
$wpecus_options_array['wpecus_is_installed']['public'] = 'false';// boolean, false indicates users are not to be made aware of this option because it is more for development use
$wpecus_options_array['wpecus_is_installed']['required'] = 'false';// some option arrays may be optional, if that is the case true will avoid installation status checks returning false
# is_installed, result of last installation status check
$wpecus_options_array['wpecus_was_installed']['datatype'] = 'boolean';// array,boolean,string etc
$wpecus_options_array['wpecus_was_installed']['purpose'] = 'Ins but not all.';
$wpecus_options_array['wpecus_was_installed']['label'] = 'Option Record '.$total_option_records;
$wpecus_options_array['wpecus_was_installed']['name'] = 'Installation Switch';
$wpecus_options_array['wpecus_was_installed']['inputtype'] = 'hidden';
$wpecus_options_array['wpecus_was_installed']['defaultvalue'] = 'false';// NA if not applicable i.e. the default value is generated in the script
$wpecus_options_array['wpecus_was_installed']['public'] = 'false';// boolean, false indicates users are not to be made aware of this option because it is more for development use
$wpecus_options_array['wpecus_was_installed']['required'] = 'false';// some option arrays may be optional, if that is the case true will avoid installation status checks returning false
# admin settings
++$total_option_records;
$wpecus_options_array['wpecus_adminset']['datatype'] = 'array';// array,boolean,string etc
$wpecus_options_array['wpecus_adminset']['purpose'] = 'Settings for the administrator/backend only. These settings effect things that are to do with the backend only. They configure manual actions, tools and operations triggered by backend use.';
$wpecus_options_array['wpecus_adminset']['label'] = 'Option Record '.$total_option_records;
$wpecus_options_array['wpecus_adminset']['name'] = 'Administration Settings';
$wpecus_options_array['wpecus_adminset']['inputtype'] = 'hidden';
$wpecus_options_array['wpecus_adminset']['defaultvalue'] = 'NA';// NA if not applicable i.e. the default value is generated in the script
$wpecus_options_array['wpecus_adminset']['public'] = 'true';// boolean, false indicates users are not to be made aware of this option because it is more for development use
$wpecus_options_array['wpecus_adminset']['required'] = 'true';// some option arrays may be optional, if that is the case true will avoid installation status checks returning false
++$total_option_records;
$wpecus_options_array['wpecus_installedversion']['datatype'] = 'string';
$wpecus_options_array['wpecus_installedversion']['purpose'] = 'Used to determine gap between old and new version.';
$wpecus_options_array['wpecus_installedversion']['label'] = 'Option Record '.$total_option_records;
$wpecus_options_array['wpecus_installedversion']['name'] = 'Latest Version';
$wpecus_options_array['wpecus_installedversion']['inputtype'] = 'hidden';
$wpecus_options_array['wpecus_installedversion']['defaultvalue'] = '0.0.0';
$wpecus_options_array['wpecus_installedversion']['public'] = 'false';
$wpecus_options_array['wpecus_installedversion']['required'] = 'true';
# installation date (time()), currently has no use other than knowing the last time user done a new installation
++$total_option_records;
$wpecus_options_array['wpecus_installeddate']['datatype'] = 'integer';
$wpecus_options_array['wpecus_installeddate']['purpose'] = 'Date last full installation was run';
$wpecus_options_array['wpecus_installeddate']['label'] = 'Option Record '.$total_option_records;
$wpecus_options_array['wpecus_installeddate']['name'] = 'Install Date';
$wpecus_options_array['wpecus_installeddate']['inputtype'] = 'hidden';
$wpecus_options_array['wpecus_installeddate']['defaultvalue'] = time();
$wpecus_options_array['wpecus_installeddate']['public'] = 'false';
$wpecus_options_array['wpecus_installeddate']['required'] = 'true';   
?>
