<?php
/** 
 * Users section of WP e-Customers plugin by WebTechGlobal.co.uk
 *
 * A list of all users related processing functions. All functions are in wpecus_users_processing_2.php.
 * This file is called alongside all processing files like it but once the required processing function is found
 * no further functions are called. It is a very straight forward and easy to manage system.
 *
 * @package WP e-Customers
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 */
 
class WPeCus_users_POSTGET_processing {
    
} 

global $continue_processing;
if($continue_processing){
    $continue_processing = wpecus_users_action_answerauthquestion(); 
    $continue_processing = wpecus_users_action_authorizebyid();  
}
 
/**
* Authorizes new users if submitted answer is correct.

* @package WP e-Customers
* @since 0.0.1 
* 
* @return boolean true if answer is correct|false if answer is incorrect
*/
function wpecus_users_action_answerauthquestion() {     
    if(isset($_GET['wpecusprocess']) && $_GET['wpecusprocess'] == 'newuserauthanswer' && isset($_GET['answer'])){
        
        global $current_user;
        $return = false;
        $wpecus_current_user['security']['mainauthorization'] = 'white';// white = new user, not fully activated yet
        
        // get the activation questioned stored at the time of page load           
        $usersstoredquestion = get_user_meta($current_user->ID,'wpecus_activationquestion',true);
        
        // increase attempts count
        $newattempts = 0;
        if(isset($usersstoredquestion['attempts']) && is_numeric($usersstoredquestion['attempts'])){
            $newattempts = $usersstoredquestion['attempts'];        
        }
        $usersstoredquestion['attempts'] = $newattempts + 1;
                                     
        // is the users answer correct?
        if($usersstoredquestion['correctanswer'] == $_GET['answer']){
                                          
            // authorize the users account
            $wpecus_current_user['security']['mainauthorization'] = 'green';
            wpecus_notice_postresult('success','Account Activated','You can now access our free User services and products. Your email address will
            be used to link purchases, subscriptions and donations to your account.');
            
        }else{              
            if($usersstoredquestion['attempts'] > 5){
                $wpecus_current_user['security']['mainauthorization'] = 'yellow';
                wpecus_notice_postresult('error','Account Suspended','test');
            }else{            
                $wpecus_current_user['security']['mainauthorization'] = 'white';
                wpecus_notice_postresult('warning','Sorry, Wrong Answer','Please attempt to answer the next question by clicking on the correct answer. Thank you.');
            }
        }
                             
        update_user_meta( $current_user->ID, 'wpecus_mainauthorization',$wpecus_current_user['security']['mainauthorization'] );
        update_user_meta($current_user->ID,'wpecus_activationquestion',$usersstoredquestion);

        return false;
    }else{
        return true;
    }
} 


/**
* Authorizes a user to use free WebTechGlobal services by their Wordpress account ID
*
* Sets user meta wpecus_mainauthorization to green
*
* @package WP e-Customers
* @since 0.0.1 
*/
function wpecus_users_action_authorizebyid() {    
    if(isset( $_POST['wpecus_hidden_pagename'] ) && $_POST['wpecus_hidden_pagename'] == 'users' && isset($_POST['wpecus_hidden_panel_name']) && $_POST['wpecus_hidden_panel_name'] == 'authorizeuserbyid'){
               
        if(!isset($_POST['wpecus_id'])){
            wpecus_notice_postresult('error','Please Enter User ID','No changes have been made. A Wordpress user ID is required.');
            return false;
        }
                
        $user_ID = wtgvb_clean_numeric($_POST['wpecus_id']);
                   
        if(!is_numeric($user_ID)){  
            wpecus_notice_postresult('error','Invalid ID Entered','Wordpress user ID are numeric. Please ensure you enter numbers only.');
            return false;
        }
        
        wpecus_users_authorize($user_ID);
        
        $user_array = get_user_by('id',$user_ID);

        wpecus_notice_postresult('success','User ' . $user_array->display_name . ' Authorized','This user can now access WebTechGlobal free services.');
             
        return false;
    }else{
        return true;
    }       
}
?>