<?php
/** 
 * Core functions for WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */

 
/**
* Forwards a visit to a cloaked URL by getting the hidden URL and sending visitor to it
*/
function wpecus_cloak_forward(){  
    if(isset($_GET['viewedpage']) && isset($_GET['openitem'])){
        if(is_numeric($_GET['viewedpage']) && is_numeric($_GET['openitem'])){
            $url = get_post_meta($_GET['viewedpage'], 'wpecus_cloak_'.$_GET['openitem'], true); 
            if(wpecus_validate_url($url)){
                wp_redirect(esc_url($url), 301);
                get_header(); 
                exit;# added 13th May 2013      
            } 
        }    
    }
} 

/**
* Builds a URL based on the current blog
*/
function wpecus_cloak_build($post_id,$link_id){    
    return get_bloginfo('url') . '?viewedpage='.$post_id.'&amp;openitem='.$link_id; 
}

/**
* Easy Configuration Questions
*/
function wpecus_easy_configuration_questionlist(){
    global $wpecus_ecq_array,$wpecus_adm_set;
             
    // count number of each type of question added for adding ID value to script
    $singles_created = 0;// count number of single answer questions added (radio button)
    $multiple_created = 0;
    $text_created = 0;
    $slider_created = 0;
    $noneactive = 0; 
            
    foreach($wpecus_ecq_array as $questionid => $question){

        // decide status (notice box type) - we show green complete if the stored answer is not negative/off
        $status = 'question';
        if(isset($wpecus_adm_set['ecq'][$questionid])){           
            
            if($wpecus_adm_set['ecq'][$questionid] == 'na'){
                $status = 'question';# na = Not Answered
            }elseif($wpecus_adm_set['ecq'][$questionid] == 'yes'){
                $status = 'success';
            }elseif($wpecus_adm_set['ecq'][$questionid] == 'no'){
                $status = 'error';
            }elseif($wpecus_adm_set['ecq'][$questionid] == 'unsure'){
                $status = 'warning';
            }else{
                $status = 'question';
            }
                                
        }else{
            $status = 'question';    
        }

        if($question['active'] != true){
            ++$slider_created;
        }else{
                
            if($question['type'] == 'single'){
                
                // build list of option values
                $optionlist = '';
                foreach($question['answers'] as $key => $answer){
                    
                    $selected = '';
                    if(isset($wpecus_adm_set['ecq'][$questionid]) && $wpecus_adm_set['ecq'][$questionid] == $answer['value']){
                        $selected = 'selected="selected"';     
                    }     
                                   
                    $optionlist .= '<option value="'.$answer['value'].'" '.$selected.'> '.$answer['text'].' </option> ';     
                } 
           
                echo wpecus_notice($question['question'] . ' ' . wpecus_link('?',$question['helpurl'],'','_blank','','return','Click here to get more help for this question') .'
                <p> 
                    <select name="wpecus_'.$questionid.'" id="wpecus_single'.$singles_created.'_id" title="Please click on a single option" name="example-basic" >
                        '.$optionlist.'
                    </select>
                </p>',$status,'Small','','','return');
                
                 ++$singles_created;
                
            }elseif($question['type'] == 'multiple'){
                
                // build list of option values
                $optionlist = '';
                foreach($question['answers'] as $key => $answer){
                    $optionlist .= '<option value="'.$answer['value'].'"> '.$answer['text'].' </option> ';     
                } 
                             
                echo wpecus_notice($question['question'] . ' ' . wpecus_link('?',$question['helpurl'],'','_blank','','return','Click here to get more help for this question') .'
                <p> 
                    <select name="wpecus_' . $questionid . '" id="wpecus_multiple' . $multiple_created . '_id" title="You may select multiple options" multiple="multiple" name="example-basic" >
                        '.$optionlist.'
                    </select>
                </p>',$status,'Small','','','return');
                
                ++$multiple_created;
                
            }elseif($question['type'] == 'text'){?>
                
                <script>
                $(document).ready( function(){ 
                    
                        <?php
                        $opt_array = explode(",", $question['answers']);
                        $optionlist = 'var availableTags = [';
                        $first = true;
                        foreach($opt_array as $key => $optanswer){
                            if($first == false){$optionlist .= ',';} 
                            $optionlist .= '"'.$optanswer.'"';
                            $first = false;   
                        }
                        $optionlist .= '];';
                        echo $optionlist;?>
                    
                    $( "#<?php echo 'wpecus_text'.$text_created;?>" ).autocomplete({
                        source: availableTags
                    });
                });
                </script>

                <?php  
                echo wpecus_notice($question['question'] . ' ' . wpecus_link('?',$question['helpurl'],'','_blank','','return','Click here to get more help for this question') .'
                <div class="ui-widget">
                    <p>
                        <label for="wpecus_text'.$text_created .'"> Tags: </label>
                        <input id="wpecus_text'.$text_created .'" />
                    </p>
                </div>',$status,'Small','','','return');
                
                ++$text_created;
                
            }elseif($question['type'] == 'slider'){
                
                echo 'Slider code not complete';
                
                ++$slider_created;
            }
        }//
    }// end for each question
        
    // output total number of questions if developer information active
    $wpecus_is_dev = true;// ### TODO:HIGHPRIORITY, change this to the global variable    
    if($wpecus_is_dev){
        
        echo '<h4>Total Questions</h4>';
        echo '<p>';
        $total = $singles_created + $multiple_created + $text_created + $slider_created;
        echo 'All Questions: '.$total;// count number of single answer questions added (radio button)
        echo '<br />';                       
        echo 'Single Answer Questions: '.$singles_created;// count number of single answer questions added (radio button)
        echo '<br />';
        echo 'Multiple Answer Questions: '.$multiple_created;
        echo '<br />';
        echo 'Text Answer Questions: '.$text_created;
        echo '<br />';
        echo 'Slider Questions:'.$slider_created; 
        echo '</p>';  
        echo '<br />';
        echo 'Inactive Questions:'.$noneactive; 
        echo '</p>';  
         
    }    
} 
                
/**
* First function to adding a post thumbnail 

* @param mixed $overwrite_existing, if post already has a thumbnail do we want to overwrite it or leave it
*/
function wpecus_create_post_thumbnail($post_id,$image_url,$overwrite_existing = false){
    global $wpdb;

    if(!file_is_valid_image($image_url)){  
        wpecus_flag_post($post_id,1,'thumbnail','The URL giving to create this posts thumbnail caused a Wordpress error. Please setup this posts thumbnail manually. If this happens to many posts please troubleshoot on the WebTechGlobal website.');    
        return false;
    }
         
    // if post has existing thumbnail
    if($overwrite_existing == false){
        if ( get_post_meta( $post_id, '_thumbnail_id', true) || get_post_meta( $post_id, 'skip_post_thumb', true ) ) {
            return false;
        }
    }
    
    // call action function to create the thumbnail in wordpress gallery 
    $thumbid = wpecus_create_localmedia( $image_url, $post_id );

    // update post meta with new thumbnail
    if ( is_numeric($thumbid) ) {
        update_post_meta( $post_id, '_thumbnail_id', $thumbid );
    }else{
        return false;
    }
}  
    
/**
* Uses wp-admin/includes/image.php to store an image in Wordpress files and database.
* 
* @uses wp_insert_attachment()
* @param mixed $imageurl
* @param mixed $postid
* @return boolean false on fail else $thumbid which is stored in post meta _thumbnail_id
*/
function wpecus_create_localmedia( $url, $postid ){
    $photo = new WP_Http();
    $photo = $photo->request( $url );
    
    if(is_wp_error($photo)){  
        wpecus_flag_post($postid,1,'thumbnail','The URL giving to create a thumbnail for post with ID '.$postid.'
        caused a Wordpress error. Please setup this posts thumbnail manually. Seek help from WebTechGlobal if this happens with
        too many posts.');
        return false;
    }
          
    $attachment = wp_upload_bits( basename( $url ), null, $photo['body'], date("Y-m", strtotime( $photo['headers']['last-modified'] ) ) );
           
    $file = $attachment['file'];
            
    // get filetype
    $type = wp_check_filetype( $file, null );
            
    // build attachment object
    $att = array(
        'post_mime_type' => $type['type'],
        'post_content' => '',
        'guid' => $url,
        'post_parent' => null,
        'post_title' => preg_replace('/\.[^.]+$/', '', basename( $attachment['file'] )),
    );
    
    // action insert attachment now
    $attach_id = wp_insert_attachment($att, $file, $postid);

    $attach_data = wp_generate_attachment_metadata( $attach_id, $file );
    
    wp_update_attachment_metadata( $attach_id,  $attach_data );

    return $attach_id;
}

/**
* If "allow_url_fopen" not allows on server by ini, we use this curl function instead
* @param mixed $url
* @return boolean false on fail else $contents
*/
function wpecus_curl_thefilecontents( $url ) {
    $c = curl_init();
    curl_setopt($c, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($c, CURLOPT_URL, $url);
    $contents = curl_exec($c);
    curl_close($c);
    if ($contents) {
        return $contents;
    }
    return false;
}
        
/**
* Stores the last known reason why auto event was refused during checks in wpecus_event_check()
*/
function wpecus_event_refused($return_reason){
    global $wpecus_schedule_array;
    $wpecus_schedule_array['history']['lastreturnreason'] = $return_reason;
    wpecus_update_option_schedule_array($wpecus_schedule_array);   
}   
               
/**
 * Checks existing plugins and displays notices with advice or informaton
 * This is not only for code conflicts but operational conflicts also especially automated processes
 *
 * $return $critical_conflict_result true or false (true indicatesd a critical conflict found, prevents installation, this should be very rare)
 * 
 * @todo make this function available to process manually so user can check notices again
 * @todo re-enable warnings for none activated plugins is_plugin_inactive, do so when Notice Boxes have closure button
 */
function wpecus_plugin_conflict_prevention($outputnoneactive = false){
    // track critical conflicts, return the result and use to prevent installation
    // only change $conflict_found to true if the conflict is critical, if it only effects partial use
    // then allow installation but warn user
    $conflict_found = false;

    // Wordpress HTTPS  EXAMPLE
    /*
    $plugin_profiles[1]['switch'] = 1;//used to use or not use this profile, 0 is no and 1 is use
    $plugin_profiles[1]['title'] = 'Wordpress HTTPS';
    $plugin_profiles[1]['slug'] = 'wordpress-https/wordpress-https.php';
    $plugin_profiles[1]['author'] = 'Mvied';
    $plugin_profiles[1]['title_active'] = 'Wordpress HTTPS Conflict';
    $plugin_profiles[1]['message_active'] = __('On 15th August 2012 a critical and persistent conflict was found 
    between Wordpress HTTPS and WP e-Customers. It breaks the jQuery UI tabs by making all panels/features show on
    one screen rather than on individual tabbed screens. A search on Google found many posts regarding the
    plugin causing JavaScript related conflicts, responded to my the plugins author. So please ensure you
    have the latest version. One of the posts suggested the fault, was exactly as we found to be causing our
    broken interface in WP e-Customers. URL were being re-written, specifically those passed through jQuery UI functions
    were having a slash removed. It would not just break the interface but submitting some forms would fail
    because the action location URL would be wrong. This sounds like the fault described by a Wordpress HTTPS user,
    before the author responded to it. So not sure what is going on but right now we do not feel we can provide the
    fix. Please still let us know if you are seeing this message, we need to know how popular the conflicting plugin
    is while using WP e-Customers for auto-blogging.');
    $plugin_profiles[1]['title_inactive'] = 'title inactive';
    $plugin_profiles[1]['message_inactive'] = __('message inactive');
    $plugin_profiles[1]['type'] = 'info';//passed to the message function to apply styling and set type of notice displayed
    $plugin_profiles[1]['criticalconflict'] = true;// true indicates that the conflict will happen if plugin active i.e. not specific settings only, simply being active has an effect
    */
        
    // we create an array of profiles for plugins we want to check
    $plugin_profiles = array();

    // Tweet My Post (javascript conflict and a critical one that breaks entire interface)
    $plugin_profiles[0]['switch'] = 1;//used to use or not use this profile, 0 is no and 1 is use
    $plugin_profiles[0]['title'] = 'Tweet My Post';
    $plugin_profiles[0]['slug'] = 'tweet-my-post/tweet-my-post.php';
    $plugin_profiles[0]['author'] = 'ksg91';
    $plugin_profiles[0]['title_active'] = 'Tweet My Post Conflict';
    $plugin_profiles[0]['message_active'] = __('Please deactivate Twitter plugins before performing mass post creation. 
    This will avoid spamming Twitter and causing more processing while creating posts.');
    $plugin_profiles[0]['message_inactive'] = __('If you activate this or any Twitter plugin please ensure the plugins
    options are not setup to perform mass tweets during post creation.');
    $plugin_profiles[0]['type'] = 'info';//passed to the message function to apply styling and set type of notice displayed
    $plugin_profiles[0]['criticalconflict'] = true;// true indicates that the conflict will happen if plugin active i.e. not specific settings only, simply being active has an effect
                         
    // loop through the profiles now
    if(isset($plugin_profiles) && $plugin_profiles != false){
        foreach($plugin_profiles as $key=>$plugin){   
            if( is_plugin_active( $plugin['slug']) ){ 
               
                // recommend that the user does not use the plugin
                wpecus_notice($plugin['message_active'],'warning','Small',$plugin['title_active'],'','echo');

                // if the conflict is critical, we will prevent installation
                if($plugin['criticalconflict'] == true){
                    $conflict_found = true;// indicates critical conflict found
                }
                
            }elseif(is_plugin_inactive($plugin['slug'])){
                
                if($outputnoneactive){    
                    wpecus_n_incontent($plugin['message_inactive'],'warning','Small',$plugin['title'] . ' Plugin Found');
                }
    
            }
        }
    }

    return $conflict_found;
} 

/**
* Determines if process request of any sort has been requested
* 1. used to avoid triggering automatic processing during proccess requests
* 
* @returns true if processing already requested else false
* 
* @author Ryan Bayne
* 
* @since 0.0.1
*/
function wpecus_is_processing(){
    // ajax
    if(defined('DOING_AJAX') && DOING_AJAX){
        return true;    
    } 
    
    // form submissions - if $_POST is set that is fine, providing it is an empty array
    if(isset($_POST) && !empty($_POST)){
        return true;
    }
    
    // WP e-Customers own special processing triggers
    if(isset($_GET['wpecusprocsub']) || isset($_GET['wpecusprocess']) || isset($_GET['nonceaction'])){
        return true;
    }
    
    return false;
}

/**
* Determines the installation status of an extension
* 
* @param mixed $name the slug name of the extension and should always be the name of the extension folder
* @return false if no files else returnsa code number, 2|3 
*/
function wpecus_extension_install_status($name){
    // check if extensions files exist
    if(!file_exists(WP_CONTENT_DIR . '/wpecustomersextensions/'.$name)){
        return false;    
    }
    
    // get the extensions option records (every extension has its own option record)
    $ext_opt = get_option('ext_installed_'.$name);
    if(!$ext_opt || $ext_opt == 'no'){
        return 2;# extension not installed
    }elseif($ext_opt == 'yes'){
        return 3;# extension installed
    }
}

function wpecus_extension_activation_status($name){
    if(!file_exists(WP_CONTENT_DIR . '/wpecustomersextensions/'.$name)){
        return false;    
    }
          
    $ext_opt = get_option('ext_activated_'.$name);
    if(!$ext_opt || $ext_opt == 'no'){
        return 2;# extension not activated
    }elseif($ext_opt == 'yes'){
        return 3;# extension activated
    }
}

function wpecus_readable_extension_status($name){
    $installation_status = wpecus_extension_install_status($name);# false (no files), 2 (not installed), 3 (is installed)
    $activation_status = wpecus_extension_activation_status($name);# false (no files), 2 (not activated), 3 (activated)
                          
    if(!$installation_status){# no files
        return 'Files Not Uploaded';
    }
    
    if($installation_status == 2){# installed (tables, option records etc)
        return 'Files Uploaded but Not Installed';
    }
    
    if($activation_status == 2){
        return 'Installed but not Activated';
    }
    
    if($activation_status == 3){
        return 'Active';
    }
    
    return 'error please report';
}

/** 
 * Admin interface functions for WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */

     
/**
* Checks if content folder has been created or not
* 
* @return boolean false if folder does not exist, true if it does 
*/
function wpecus_contentfolder_exist(){
    return file_exists(WTG_WPECUS_CONTENTFOLDER_DIR);    
}    
?>