<?php
/** 
 * Installation functions for WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */

 
/**
* Not to be confused with wpecus_install_core()
* 1. use this to install elements related to the build, not the core
* 2. this function does not belong in wtgcore_wp_install.php which is where wpecus_install_core() is  
*/
function wpecus_install_plugin(){
    
    $overall_install_result = true;

    // create or confirm content folder for storing main uploads - false means no folder wanted, otherwise a valid path is expected
    if( defined(WTG_WPECUS_CONTENTFOLDER_DIR)){$overall_install_result = wpecus_install_contentfolder_wpecustomerscontent(WTG_WPECUS_CONTENTFOLDER_DIR);}        

    return $overall_install_result;
}

/**
 * NOT IN USE
 * @todo LOWPRIORITY, make this function perform a 100% uninstallation including CSV files, tables, option records the whole lot. This should be offered clearly as a destructive process for anyone who wants to continue using the plugin.
 */
function wpecus_uninstall(){
    $uninstall_outcome = true;

    // delete administration only settings
    delete_option('wpecus_adminset');
    
    // delete public related settings
    delete_option('wpecus_publicset');

    // delete tab navigation array settings
    delete_option('wpecus_tabmenu');

    return $uninstall_outcome;
}  
?>