<?php
/** 
 * Tab view for downloads library screen in WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 * 
 * @since 0.0.1
 */
             
global $current_user;
?>


<div class="wpecus_fluidboxes_container">

    <h2>Premium Downloads</h2>    
    <?php  
    $purchased_downloads_array = wpecus_downloads_get_paid($current_user->ID);

    // put the post ID into array, we will use it in while loops to avoid displaying paid downloads
    $paidid_array = array();
    foreach($purchased_downloads_array as $key => $download){
        $paidid_array[] = $download->download_id;
    }

    if(empty($purchased_downloads_array)){

        echo '<p>You have not purchased any digital downloads or your method of purchase has not updated your account. If you purchased a download from us we can grant you permission to download it manually.</p>';    

    }else{   
                      
        query_posts( array( 'post_type' => 'downloads') );

        // The Loop
        while ( have_posts() ) : the_post();
            
            // confirm premium path else do not display
            $posts_paid_path = wpecus_downloads_getpaidpath(get_the_ID());
                         
            if(!in_array(get_the_ID(),$paidid_array) && $posts_paid_path){?>
                         
                <div class="wpecus_fluidboxes_left">
                
                    <h4><?php the_title(); ?></h4>
                    <div class="welcome-panel">
                     
                        <div class="welcome-panel-content">
                      
                            <p class="about-description">Download ID: <?php echo the_ID();?></p>
                      
                            <p class="about-description">Only £49.99</p>
                                                                                       
                            <form method="post" name="wpecus_authorizeuserbyid" action="<?php echo wpecus_create_adminurl($_GET['page'],'&wpecustab='.$_GET['wpecustab']); ?>">
                            
                                <input type="hidden" name="wpecus_post_processing_required" value="true">
                                <input type="hidden" name="wpecus_request_download" value="true">
                                <input type="hidden" name="wpecus_download_id" value="<?php echo the_ID();?>">
                                <?php wpecus_hidden_form_values(1,$page_name,'authorizeuserbyid','Authorize User By ID');?>
             
                                <input class="button" type="submit" value="Buy Now" />
                 
                            </form>  
                                                                                        
                        </div>
                    </div> 
                    
                </div>    
                
            <?php    
            }     
        endwhile;
                  
        // Reset Query
        wp_reset_query(); 
    }
    ?>   
        
    <div style="clear:both;"></div>
    
    <h2>Free Downloads</h2>    
    <?php 
    global $wpdb; 
    $notauthorized_free_downloads_array = $wpdb->get_results("
        SELECT * 
        FROM $wpdb->wpecusdownloads 
        WHERE user_id = $current_user->ID AND freepermission = 0
    ");

    // put the post ID into array, we will prevent user accessing these free downloads (the free download may be a special offer that allows one download)
    $freeid_array = array();
    foreach($notauthorized_free_downloads_array as $key => $download){
        $freeid_array[] = $download->download_id;
    }
                  
    query_posts( array( 'post_type' => 'downloads') );

    // The Loop
    while ( have_posts() ) : the_post();
        
        // confirm premium path else do not display
        $posts_free_path = wpecus_downloads_getfreepath(get_the_ID());
                     
        if(!in_array(get_the_ID(),$freeid_array) && $posts_free_path){?>
                     
            <div class="wpecus_fluidboxes_left">
            
                <h4><?php the_title(); ?></h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Download ID: <?php echo the_ID();?></p>
                                                                          
                        <form method="post" name="wpecus_authorizeuserbyid" action="<?php echo wpecus_create_adminurl($_GET['page'],'&wpecustab='.$_GET['wpecustab']); ?>">
                        
                            <input type="hidden" name="wpecus_post_processing_required" value="true">
                            <input type="hidden" name="wpecus_request_download" value="free">
                            <input type="hidden" name="wpecus_download_id" value="<?php echo the_ID();?>">
                            <?php wpecus_hidden_form_values(1,$page_name,'authorizeuserbyid','Authorize User By ID');?>
         
                            <input class="button" type="submit" value="Download" />
             
                        </form>  
                                                                                    
                    </div>
                </div> 
                
            </div>    
            
        <?php    
        }     
    endwhile;
              
    // Reset Query
    wp_reset_query(); 
    ?>  
                       
</div>