<?php
/** 
 * Tab view for downloads library screen in WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 * 
 * @since 0.0.1
 */
             
global $current_user;
?>

<h2>Purchased Downloads</h2> 
<div class="wpecus_fluidboxes_container">
   
<?php  
$purchased_downloads_array = wpecus_downloads_get_paid($current_user->ID);

// remove any that do not have a paid path
foreach($purchased_downloads_array as $key => $download){
    $paid_path = wpecus_downloads_getpaidpath($download->download_id);
    if(!$paid_path){                           
        unset($purchased_downloads_array[$key]);
    }
}

if(empty($purchased_downloads_array)){

    echo '<p>You have not purchased any digital downloads or your method of purchase has not updated your account. If you purchased a download from us we can grant you permission to download it manually.</p>';    

}else{   
    
    foreach($purchased_downloads_array as $key => $download){
       
        query_posts( array( 'post_type' => 'downloads','p' => $download->download_id ) );

        // The Loop
        while ( have_posts() ) : the_post();?>

            <div class="wpecus_fluidboxes_left">
            
                <h4><?php the_title(); ?></h4>
                <div class="welcome-panel">
                 
                    <div class="welcome-panel-content">
                  
                        <p class="about-description">Download ID: <?php echo $download->download_id;?></p>
                  
                        <p class="about-description">Times Downloaded: <?php echo $download->downloaded;?></p>
                                                                                   
                        <form method="post" name="wpecus_authorizeuserbyid" action="<?php echo wpecus_create_adminurl($_GET['page'],'&wpecustab='.$_GET['wpecustab']); ?>">
                        
                            <input type="hidden" name="wpecus_post_processing_required" value="true">
                            <input type="hidden" name="wpecus_request_download" value="paid">
                            <input type="hidden" name="wpecus_download_id" value="<?php echo $download->download_id;?>">
                            <?php wpecus_hidden_form_values(1,$page_name,'authorizeuserbyid','Authorize User By ID');?>
         
                            <input class="button" type="submit" value="Download" />
             
                        </form>  
                                                                                    
                    </div>
                </div> 
                
            </div>    

        <?php 
        endwhile;

        // Reset Query
        wp_reset_query();
    }
    ?>   
          
    </div>
    
    <?php 
}?>     
                       
</div>