<?php
/** 
 * Extensions tab view for WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */

++$panel_number;// increase panel counter so this panel has unique ID
$form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
$form_array['panel_name'] = 'extensionsettings';// slug to act as a name and part of the panel ID 
$form_array['panel_title'] = __('Extension Settings');// user seen panel header text  
$form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
// Form Settings - create the array that is passed to jQuery form functions
$jsform_set_override = array();
$jsform_set = wpecus_jqueryform_commonarrayvalues($pageid,$form_array['tabnumber'],$form_array['panel_number'],$form_array['panel_name'],$form_array['panel_title'],$jsform_set_override);     
?>
<?php wpecus_panel_header( $form_array );?>

    <?php 
    // begin form and add hidden values
    wpecus_formstart_standard($jsform_set['form_name'],$jsform_set['form_id'],'post','wpecus_form','');
    wpecus_hidden_form_values($wpecus_tab_number,$pageid,$form_array['panel_name'],$form_array['panel_title'],$form_array['panel_number']);?>

    <table class="form-table">   

        <!-- Option Start -->
        <tr valign="top">
            <th scope="row"><?php wpecus_tt('Extension Engine','Enable the extension engine to begin using extensions you have installed. You can disable alll extensions quickly using this option');?></th>
            <td>
            
                <script>
                    $(function() {
                        $( "#wpecus_div_<?php echo $form_array['panel_name'];?>_extensionstatus" ).buttonset();
                    });
                </script>
 
                <?php 
                if(wpecus_option('wpecus_extensions','get') == 'enable'){
                    $radio1_checked_enabled = 'checked';
                    $radio2_checked_disabled = '';    
                }elseif(wpecus_option('wpecus_extensions','get') == 'disable'){
                    $radio1_checked_enabled = '';
                    $radio2_checked_disabled = 'checked';    
                }?>
                <div id="wpecus_div_<?php echo $form_array['panel_name'];?>_extensionstatus">
                    <input type="radio" id="wpecus_<?php echo $form_array['panel_name'];?>_enable" name="wpecus_radiogroup_extensionstatus" value="enable" <?php echo $radio1_checked_enabled;?> />
                    <label for="wpecus_<?php echo $form_array['panel_name'];?>_enable"> Enable</label>
                    <?php wpecus_GUI_br();?>
                    <input type="radio" id="wpecus_<?php echo $form_array['panel_name'];?>_disable" name="wpecus_radiogroup_extensionstatus" value="disable" <?php echo $radio2_checked_disabled;?> />
                    <label for="wpecus_<?php echo $form_array['panel_name'];?>_disable"> Disable</label>
                </div>    

                <?php ### TODO:LOWPRIORITY, list present extensions and allow user to select the extension they want to be active.?>      

            </td>
        </tr>
        <!-- Option End -->

    </table>

    <?php wpecus_formend_standard($form_array['form_button'],$jsform_set['form_id']);?>
   
<?php wpecus_panel_footer();?>

<?php
if(wpecus_option('wpecus_extensions','get') == 'enable'){
++$panel_number;// increase panel counter so this panel has unique ID
$form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
$form_array['panel_name'] = 'extensionlist';// slug to act as a name and part of the panel ID 
$form_array['panel_title'] = __('Extension List');// user seen panel header text  
$form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
// Form Settings - create the array that is passed to jQuery form functions
$jsform_set_override = array();
$jsform_set = wpecus_jqueryform_commonarrayvalues($pageid,$form_array['tabnumber'],$form_array['panel_number'],$form_array['panel_name'],$form_array['panel_title'],$jsform_set_override);     
?>
<?php wpecus_panel_header( $form_array );?>

    <?php include_once(WTG_WPECUS_PATH . 'arrays/wpecus_extensions_array.php');?>

    <?php wpecus_GUI_tablestart();?>   
        
            <thead>
                <tr>
                    <th width="50">Name</th>
                    <th>Status</th>
                    <th>File Version</th>
                    <th>Installed Version</th>
                    <th>Description</th> 
                    <th>Install/Uninstall/Update</th>
                    <th>Activate/Disable</th>
                </tr>
            </thead>
            
            <tfoot>
                <tr>
                    <th>Name</th>
                    <th>Status</th>
                    <th>File Version</th>
                    <th>Installed Version</th>
                    <th>Description</th>
                    <th>Install/Uninstall/Update</th>
                    <th>Activate/Disable</th> 
                </tr>
            </tfoot>
        
            <tbody>

                <?php foreach($wpecus_extensions_array['extensions'] as $name => $ext){
 
                    $installstat = wpecus_extension_install_status($name);
                    $activatestat = wpecus_extension_activation_status($name);
                    $readstat = wpecus_readable_extension_status($name);
                                                                                      
                    // is updated required?  
                    $extension_version = '';   
                    if($installstat != false){# false equals no files                  
                        // including the extension.php file gives us more information to play with
                        global $wpecus_extension_df1_version;
  
                        if(!$wpecus_extension_df1_version){
                            require_once(WP_CONTENT_DIR . '/wpecustomersextensions/'.$name.'/extension.php');
                        }
                        
                        $extension_version = ${"wpecus_extension_" . $name ."_version"};
                        $update_required = wpecus_extension_updaterequired($name,$extension_version);
                    }
                    ?>
    
                    <tr valign="top">
               
                        <td><?php echo $ext['title']; ?></td>
                        <th scope="row"><?php echo $readstat; ?></th>
                        <td><?php echo $extension_version; ?></td>
                        <td><?php echo get_option($name.'_version'); ?></td>
                        <th><?php echo $ext['description']; ?></th>                       
            
                        <?php if($installstat == false){# no files ?>
                           
                                <th></th>
                                <th></th>
                                
                       <?php }elseif($update_required && $installstat != 2 ){?>                        
    
                                <th> <a class="button" href="<?php echo wp_nonce_url(admin_url().'admin.php?page=wpecustomers&eciprocess=true&action=extensionupdate&extension='.$name, 'extensionupdate' );?>">Update</a> </th>
                                <th></th>   
                                                             
                       <?php }elseif($installstat == 2 ){?>                        
    
                                <th> <a class="button" href="<?php echo wp_nonce_url(admin_url().'admin.php?page=wpecustomers&eciprocess=true&action=extensioninstall&extension='.$name, 'extensioninstall' );?>">Install</a> </th>
                                <th></th>
                                
                       <?php }elseif($installstat == 3){?>
                            
                                <th> <a class="button" href="<?php echo wp_nonce_url( admin_url().'admin.php?page=wpecustomers&eciprocess=true&action=extensionuninstall&extension='.$name, 'extensionuninstall' ); ?>">Uninstall</a> </th>
                                
                                <?php if( $activatestat == 2 ){?>
                                
                                    <th> <a class="button" href="<?php echo wp_nonce_url( admin_url().'admin.php?page=wpecustomers&eciprocess=true&action=extensionactivate&extension='.$name, 'extensionactivate' ); ?>">Activate</a> </th>
                                    
                                <?php }elseif( $activatestat == 3 ) {?>
                                    
                                    <th> <a class="button" href="<?php echo wp_nonce_url( admin_url().'admin.php?page=wpecustomers&eciprocess=true&action=extensiondisable&extension='.$name, 'extensiondisable' ); ?>">Disable</a> </th>  
                                    
                                <?php }?>
           
                        <?php }?>

                    </tr>

                <?php }?>
                    
        </tbody>
    </table>
    
<?php wpecus_panel_footer();
}?>


<h1>Extension Status</h1>

<?php     
if(isset($wpecus_extensions_array)){ 
    foreach($wpecus_extensions_array['extensions'] as $name => $ext){
        
        // if $installstat is not false (which means no files, then display the extensions panel)
        $installstat = wpecus_extension_install_status($name);
        if($installstat != false){
            
            ++$panel_number;// increase panel counter so this panel has unique ID
            $form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
            $form_array['panel_name'] = 'extensionstatus'.$name;// slug to act as a name and part of the panel ID 
            $form_array['panel_title'] = __($ext['title']);// user seen panel header text  
            $form_array['panel_id'] = $form_array['panel_name'].$name;// creates a unique id, may change from version to version but within a version it should be unique
            // Form Settings - create the array that is passed to jQuery form functions
            $jsform_set_override = array();
            $jsform_set = wpecus_jqueryform_commonarrayvalues($pageid,$form_array['tabnumber'],$form_array['panel_number'],$form_array['panel_name'],$form_array['panel_title'],$jsform_set_override);     
            ?>
            <?php wpecus_panel_header( $form_array );?>
            
            <?php 
            $extension_version = '';   
            if($installstat != false){# false equals no files 
            
                $extension_version = ${"wpecus_extension_" . $name ."_version"};

                echo '<h4>Files Version: ' . $extension_version . '</h4>';
                
                $installedversion = get_option($name.'_version');
                if(!$installedversion){$m = 'no version has been installed, installation must be complete';}else{$m = $installedversion;}
                echo '<h4>Installed Version: ' . $m . '</h4>';
                
                if($installedversion == $extension_version){$m = 'No';}else{$m = 'Yes';}
                echo '<h4>Update Required: ' . $m;

            } 
            
            // list all database tables and their columns
            global $wpecus_df1_tables_array;
            if(is_array($wpecus_df1_tables_array)){
 
            wpecus_GUI_tablestart();   
        
            echo '    
                <thead>
                    <tr>
                        <th>Table Name</th>
                        <th>Rows</th>
                        <th>Install/Delete</th>
                        <th>Update Required</th>
                    </tr>
                </thead>
                
                <tfoot>
                    <tr>
                        <th>Table Name</th>
                        <th>Rows</th>
                        <th>Install/Delete</th>
                        <th>Update Required</th>
                    </tr>
                </tfoot>
            
                <tbody>';

                foreach($wpecus_df1_tables_array['tables'] as $key => $table){
                             
                    echo '
                    <tr>
                        <td>'.$table['name'].'</td>';
                        
                        // display number of rows in table
                        if(wpecus_does_table_exist($table['name'])){
                            echo '<td>'.wpecus_counttablerecords($table['name']).'</td>';
                        }else{
                            echo '<td></td>';
                        }
                        
                        // delete or install
                        ### TODO:LOWPRIORITY, use an alert of some sort to indicate a required table as apposed to a none required that is not yet installed
                        if(wpecus_does_table_exist($table['name'])){
                            echo '<td><a class="button" href="'. wp_nonce_url( admin_url() . "admin.php?page=wpecustomers&eciprocess=true&action=deletedbtable&tablename=".$table['name'], "updatedbtable" ) .'">Delete</a></td>';
                        }else{
                            echo '<td><a class="button" href="'. wp_nonce_url( admin_url() . "admin.php?page=wpecustomers&eciprocess=true&action=installdbtable&tablename=".$table['name'], "installdbtable" ) .'">Install</a></td>';                                
                        }
           
                        ### TODO:LOWPRIORITY, this will be changed to check version and display update button based on that
                        if($table['name'] == 'wpecus_ryanair_session' || $table['name'] == 'wpecus_ryanair_flight'){
                            echo '<td><a class="button" href="'. wp_nonce_url( admin_url() . "admin.php?page=wpecustomers&eciprocess=true&action=updatedbtable&tablename=".$table['name'], "updatedbtable" ) .'">Update</a></td>';
                        }else{
                            echo '<td></td>';
                        }

                    echo '</tr>';                                                       
                }
                                       
                echo '</tbody></table>';        
            }           
            ?>
   
            <?php wpecus_panel_footer();
        }
    }
}
?>