<?php
/** 
 * Main view file for main tabs in WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */
 
global $wpecus_adm_set,$wpecus_currentversion,$wpecus_file_profiles,$wpecus_mpt_arr,$wpdb,$wtgtp_pluginforum,$wtgtp_pluginblog,$wpecus_options_array,$wpecus_projectslist_array,$wpecus_schedule_array;
// global boolean
global $wpecus_beta_mode,$wpecus_is_installed,$wpecus_extension_loaded,$wpecus_demo_mode,$wpecus_is_free;
  
$pageid = 'main';// used to access variable.php configuration
$pagefolder = 'pagemain';             
        
$installing_software_name = WTG_WPECUS_NAME;
$installing_software_name_plus = '';
$installing_message = 'Thank you for choosing WP e-Customers, we look forward to working with you and reading your feedback.';

// load extension globals
if($wpecus_extension_loaded){
    $installing_software_name = WTG_WPECUS_RYANAIR_NAME;
    $installing_software_name_plus = ' and ' . WTG_WPECUS_RYANAIR_NAME;
    $installing_message .= '<br><br>You are using the <strong>' . $installing_software_name . '</strong> extension files.
    This extension will also be installed. Remove the extension files to install WP e-Customers on its own.';
}

// notify user if in beta mode
if($wpecus_beta_mode){
    $installing_message .= '<br><br>You are in <strong>Beta Mode</strong> which is a setting coded near the top of the file
    named wpecustomers.php, please disable it if you are using a live blog. Disable before installing as beta related settings
    and configuration will be added to your blog if you do not.';   
}

// set the installation software name, WP e-Customers or extension name
$installed_version = wpecus_WP_SETTINGS_get_version();
            
// this switch is set to false when we detect first time install or update is required
$display_main_screens = true;
                             
########################################################
#                                                      #
#     REQUEST USER TO INITIATE FIRST TIME INSTALL      #
#                                                      #
########################################################
if(!$wpecus_is_installed && !isset($_POST['wpecus_plugin_install_now'])){# we do not enter here if installation was submitted, this allows the resulting notices to be displayed under page header else they come before all admin content

    // hide the main screens until update complete
    $display_main_screens = false;
    
    wpecus_n_incontent($installing_message,'info','Large','WP e-Customers Installation');?>

    <form class="wpecus_form" method="post" name="wpecus_plugin_install" action="">
        
        <!-- nonce -->
        <input type="hidden" name="wpecus_admin_referer" value="installform">
        <?php wp_nonce_field('installform');?> 
        <!-- nonce -->
        
        <input type="hidden" name="wpecus_post_processing_required" value="true">
        <input type="hidden" name="wpecus_plugin_install_now" value="true">
        <input type="hidden" name="wpecus_hidden_pageid" value="main">
        <input type="hidden" name="wpecus_hidden_panel_name" value="installationscreen">
        <input type="hidden" name="wpecus_hidden_panel_title" value="Welcome To WP e-Customers">
        <input type="hidden" name="wpecus_hidden_tabnumber" value="0">
        <button id="wpecus_install_plugin_button">Install WP e-Customers <?php echo $installing_software_name_plus;?></button>

    </form>
    
<?php  
}elseif($wpecus_currentversion > $installed_version){         
########################################################
#                                                      #
#  REQUEST USER TO INITIATE PLUGIN UPDATE IF REQUIRED  #
#                                                      #
######################################################## 
    
    // hide the main screens until update complete
    $display_main_screens = false;
    
    wpecus_n_incontent('You have updated the plugins core
    files but changes may be required to values in database or in files outside of the plugin folder. 
    All required changes will be laid out below. Please scroll down and confirm that you accept the changes
    to be made in your blog by clicking the "Update WP e-Customers Installation" button.',
    'warning','Large','WP e-Customers Plugin Update Required');

    // include the upgrade array
    require_once(WTG_WPECUS_PATH.'arrays/wpecus_variables_update_array.php');
        
    $installed_version = wpecus_WP_SETTINGS_get_version();
        
    // build a message for displaying in notice box
    $notice_box_message = '';
    $total_changes_to_be_made = 0;
    foreach($wpecus_upgrade_array as $version => $change){
        
        if($version > $installed_version){
            $notice_box_message .= '<h2>Version '.$version.'</h2>';
            
            $notice_box_message .= '<strong>WARNING: '.$change['warning'].'</strong>';
            
            $notice_box_message .= '<ol>'; 
            foreach($change['changes'] as $id => $info){
                
                // do not show changes that apply to the paid edition only
                if($info['package'] == 'free' || !$wpecus_is_free && $info['package'] == 'paid'){
                    $notice_box_message .= '<li><strong>'.$info['title'].':</strong> '.$info['description'].'</li>';
                    
                    // count number of changes 
                    ++$total_changes_to_be_made;
                }    
                
            }                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               
            $notice_box_message .= '</ol>'; 
        }
        
    }

    if($total_changes_to_be_made == 0){
        $notice_box_message = 'No key changes are required for this update but you must still click "Update WP e-Customers Installation"
        and the plugin will store the latest version in your blogs database. This is how we track the versions and once
        the new version number is added to your database you will no longer see this page.';
    }

    wpecus_n_incontent($notice_box_message,'info','Extra','Required Changes');?>

    <form class="wpecus_form" method="post" name="wpecus_plugin_update" action="">
    
        <!-- nonce -->
        <input type="hidden" name="wpecus_admin_referer" value="updateform">
        <?php wp_nonce_field('updateform');?> 
        <!-- nonce -->
            
        <input type="hidden" id="wpecus_post_processing_required" name="wpecus_post_processing_required" value="true">
        <input type="hidden" id="wpecus_plugin_update_now" name="wpecus_plugin_update_now" value="a43bt7695c34">
        <input type="hidden" name="wpecus_hidden_pageid" value="<?php echo $pageid;?>">
        <input type="hidden" name="wpecus_hidden_panel_name" value="pluginupdatescreen">
        <input type="hidden" name="wpecus_hidden_panel_title" value="Update WP e-Customers">
        <input type="hidden" name="wpecus_hidden_tabnumber" value="0">       
            <button id="wpecus_update_plugin_button">Update WP e-Customers Installation</button>
    </form>
    
<?php   
}

########################################################
#                                                      #
#               DISPLAY MAIN SCREENS                   #
#                                                      #
########################################################
// the plugin update process is complete above and that decides if we should show the main screens
if($display_main_screens){

    // main page header
    $a = 'Premium';
    if($wpecus_is_free){$a = 'By WebTechGlobal';}elseif($wpecus_demo_mode){$a = 'Demo';}
    wpecus_header_page($wpecus_mpt_arr['menu'][$pageid]['title'].' ' . $a,0);
                
    // create tab menu for the giving page
    wpecus_createmenu($pageid);
              
    // count number of panels, variable used as in code ID to pass to functions, not the TAB number users can see in url
    $panel_number = 0;

    // set tab number variable, a common use is in form hidden values
    $wpecus_tab_number = wpecus_get_tabnumber();

    // display persistent notices for the current screen
    wpecus_persistentnotice_output('screen',$wpecus_tab_number,$pageid);  
    
    if(isset($_GET['wpecustab'])){$wpecustab = $_GET['wpecustab'];}else{$wpecustab = 0;}
    $wpecus_form_action = get_admin_url() . 'admin.php?page=' . $_GET['page'] . '&wpecustab='.$wpecustab;
                  
    // create screen content 
    include($wpecus_mpt_arr['menu'][$pageid]['tabs'][$wpecus_tab_number]['path']);?>


                </div><!-- end of post boxes -->
            </div><!-- end of post boxes -->
        </div><!-- end of post boxes -->
    </div><!-- end of wrap - started in header -->

    <script type="text/javascript">
        // <![CDATA[
        jQuery('.postbox div.handlediv').click( function() { jQuery(jQuery(this).parent().get(0)).toggleClass('closed'); } );
        jQuery('.postbox h3').click( function() { jQuery(jQuery(this).parent().get(0)).toggleClass('closed'); } );
        jQuery('.postbox.close-me').each(function(){
        jQuery(this).addClass("closed");
        });
        //-->
    </script><?php 
}?>
