<?php
/** 
 * Schedule settings view for WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */
?>

<?php 
// display messages regarding schedule to give users a quick idea of the current configuration
// this helps to avoid users being confused over why nothing may have happened in any hour or day
wpecus_schedulescreen_notices();
?>

<?php
++$panel_number;// increase panel counter so this panel has unique ID
$form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
$form_array['panel_name'] = 'scheduletimes';// slug to act as a name and part of the panel ID 
$form_array['panel_title'] = __('Schedule Times *global panel*');// user seen panel header text 
$form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
$form_array['panel_help'] = __('The schedule system automates more than just post creation but the popular requirement is to auto-blog posts and pages. These settings/times are global and effect all projects with drip feeding applied above.');
$form_array['video'] = 'http://www.youtube.com/embed/ngx6tVNCIck';
// Form Settings - create the array that is passed to jQuery form functions
$jsform_set_override = array();
$jsform_set = wpecus_jqueryform_commonarrayvalues($pageid,$form_array['tabnumber'],$form_array['panel_number'],$form_array['panel_name'],$form_array['panel_title'],$jsform_set_override);   
$jsform_set['dialogbox_title'] = 'Saving Schedule Times';
$jsform_set['noticebox_content'] = 'You are about to change the schedule times, do you want to continue?';
?>
<?php wpecus_panel_header( $form_array );?>

    <?php // begin form and add hidden values
    wpecus_formstart_standard($jsform_set['form_name'],$jsform_set['form_id'],'post','wpecus_form',$wpecus_form_action);
    wpecus_hidden_form_values($wpecus_tab_number,$pageid,$form_array['panel_name'],$form_array['panel_title'],$form_array['panel_number']);
    ?> 

    <h4><?php wpecus_tt('Allowed Days','These settings can be used to make your auto-blogging more natural by decided which days auto-blogging does and does not happen on');?></h4>   
     
    <script>
    $(function() {
        $( "#wpecus_dripfeed_days_format" ).buttonset();
    });
    </script>
    
    <style>
    #wpecus_dripfeed_days_format { margin-top: 2em; }
    </style>

    <div id="wpecus_dripfeed_days_format">    
        <?php 
        $days_array = array('monday','tuesday','wednesday','thursday','friday','saturday','sunday');
        $days_counter = 1;
        foreach($days_array as $key => $day){
            
            // set checked status
            if(isset($wpecus_schedule_array['days'][$day])){
                $day_checked = 'checked';
            }else{
                $day_checked = '';            
            }
                 
            echo '<input type="checkbox" name="wpecus_scheduleday_list[]" id="daycheck'.$days_counter.'" value="'.$day.'" '.$day_checked.' />
            <label for="daycheck'.$days_counter.'">'.ucfirst($day).'</label>'.wpecus_GUI_br();    
            ++$days_counter;
        }
        ?>
    </div>
    
    <h4><?php wpecus_tt('Allowed Hours','Most people do not blog 24 hours a day, use these settings to make your blog appear more natural and avoid posting constantly while your sleeping');?></h4>    
    <script>
    $(function() {
        $( "#wpecus_dripfeed_hours_format" ).buttonset();
    });
    </script>
    <style>
    #wpecus_dripfeed_hours_format { margin-top: 2em; }
    </style>

    <div id="wpecus_dripfeed_hours_format">    
    <?php
    // loop 24 times and create a checkbox for each hour
    for($i=0;$i<24;$i++){
        
        // check if the current hour exists in array, if it exists then it is permitted, if it does not exist it is not permitted
        if(isset($wpecus_schedule_array['hours'][$i])){
            $hour_checked = ' checked'; 
        }else{
            $hour_checked = '';
        }
        
        echo '<input type="checkbox" name="wpecus_schedulehour_list[]" id="hourcheck'.$i.'"  value="'.$i.'" '.$hour_checked.' />
        <label for="hourcheck'.$i.'">'.$i.'</label>'.wpecus_GUI_nbsp().wpecus_GUI_nbsp();    
    }
    ?>                                                                                     
    </div>  

    <?php wpecus_formend_standard($form_array['form_button'],$jsform_set['form_id']);?>

<?php wpecus_panel_footer();?> 

<?php
++$panel_number;// increase panel counter so this panel has unique ID
$form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
$form_array['panel_name'] = 'schedulelimits';// slug to act as a name and part of the panel ID 
$form_array['panel_title'] = __('Schedule Limits *global panel*');// user seen panel header text 
$form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
$form_array['panel_help'] = __('These controls tell the plugin how many posts to create during a drip feed session. It is a quick and easy approach to applying the rate of post creation. The plugin strictly avoids going over limits, this is considered higher priority than reaching the limit. The plugin will only begin a drip feed session when someone visits the blog; Wordpress loading triggers the schedule to be checked. The plugin will avoid doing this too often so that users do not get a negative experience. A cooldown between drip feed sessions also helps to avoid triggering server problems and using up too much bandwidth within a very short time which can also cause hosting to raise concerns.');
$form_array['video'] = 'http://www.youtube.com/embed/PR99KwLB4b4';
// Form Settings - create the array that is passed to jQuery form functions
$jsform_set_override = array();
$jsform_set = wpecus_jqueryform_commonarrayvalues($pageid,$form_array['tabnumber'],$form_array['panel_number'],$form_array['panel_name'],$form_array['panel_title'],$jsform_set_override);            
$jsform_set['dialogbox_title'] = 'Save Drip Feeding Limits';
$jsform_set['noticebox_content'] = 'These are global settings and will take effect on all projects straight away. Do you wish to continue?';
?>
<?php wpecus_panel_header( $form_array );?>

    <?php // begin form and add hidden values
    wpecus_formstart_standard($jsform_set['form_name'],$jsform_set['form_id'],'post','wpecus_form',$wpecus_form_action);
    wpecus_hidden_form_values($wpecus_tab_number,$pageid,$form_array['panel_name'],$form_array['panel_title'],$form_array['panel_number']);
    ?> 

    <h4><?php wpecus_tt('Maximum Per Day','This controls the maximum posts created and update per day. We have predefined daily limits for speed but they are easily cutomized should you need more specific limits');?></h4>
    <script>
    $(function() {
        $( "#wpecus_dripfeedrate_maximumperday" ).buttonset();
    });
    </script>

    <div id="wpecus_dripfeedrate_maximumperday">
        <input type="radio" id="wpecus_radio1_dripfeedrate_maximumperday" name="day" value="1" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 1){echo 'checked';} ?> /><label for="wpecus_radio1_dripfeedrate_maximumperday"> 1 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio2_dripfeedrate_maximumperday" name="day" value="5" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 5){echo 'checked';} ?> /><label for="wpecus_radio2_dripfeedrate_maximumperday"> 5 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio3_dripfeedrate_maximumperday" name="day" value="10" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 10){echo 'checked';} ?> /><label for="wpecus_radio3_dripfeedrate_maximumperday"> 10 </label><?php wpecus_GUI_nbsp();?>  
        <input type="radio" id="wpecus_radio9_dripfeedrate_maximumperday" name="day" value="24" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 24){echo 'checked';} ?> /><label for="wpecus_radio9_dripfeedrate_maximumperday"> 24 </label><?php wpecus_GUI_nbsp();?>                    
        <input type="radio" id="wpecus_radio4_dripfeedrate_maximumperday" name="day" value="50" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 50){echo 'checked';} ?> /><label for="wpecus_radio4_dripfeedrate_maximumperday"> 50 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio5_dripfeedrate_maximumperday" name="day" value="250" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 250){echo 'checked';} ?> /><label for="wpecus_radio5_dripfeedrate_maximumperday"> 250 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio6_dripfeedrate_maximumperday" name="day" value="1000" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 1000){echo 'checked';} ?> /><label for="wpecus_radio6_dripfeedrate_maximumperday"> 1000 </label><?php wpecus_GUI_nbsp();?>                                                                                                                       
        <input type="radio" id="wpecus_radio7_dripfeedrate_maximumperday" name="day" value="2000" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 2000){echo 'checked';} ?> /><label for="wpecus_radio7_dripfeedrate_maximumperday"> 2000 </label><?php wpecus_GUI_nbsp();?> 
        <input type="radio" id="wpecus_radio8_dripfeedrate_maximumperday" name="day" value="5000" <?php if(isset($wpecus_schedule_array['limits']['day']) && $wpecus_schedule_array['limits']['day'] == 5000){echo 'checked';} ?> /><label for="wpecus_radio8_dripfeedrate_maximumperday"> 5000 </label><?php wpecus_GUI_nbsp();?>   
    </div>
                
    <h4><?php wpecus_tt('Maximum Per Hour','The hourly limit helps to control processing a little more especially in busy Wordpress sites. This is a strict limit, not a goal and neither is the daily limit. The plugin will not try to reach your daily number if the hourly limit number is lower per 24 hours than your daily limit');?></h4>
    <script>
    $(function() {
        $( "#wpecus_dripfeedrate_maximumperhour" ).buttonset();
    });
    </script>

    <div id="wpecus_dripfeedrate_maximumperhour">
        <input type="radio" id="wpecus_radio1_dripfeedrate_maximumperhour" name="hour" value="1" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 1){echo 'checked';} ?> /><label for="wpecus_radio1_dripfeedrate_maximumperhour"> 1 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio2_dripfeedrate_maximumperhour" name="hour" value="5" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 5){echo 'checked';} ?> /><label for="wpecus_radio2_dripfeedrate_maximumperhour"> 5 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio3_dripfeedrate_maximumperhour" name="hour" value="10" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 10){echo 'checked';} ?> /><label for="wpecus_radio3_dripfeedrate_maximumperhour"> 10 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio9_dripfeedrate_maximumperhour" name="hour" value="24" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 24){echo 'checked';} ?> /><label for="wpecus_radio9_dripfeedrate_maximumperhour"> 24 </label><?php wpecus_GUI_nbsp();?>                    
        <input type="radio" id="wpecus_radio4_dripfeedrate_maximumperhour" name="hour" value="50" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 50){echo 'checked';} ?> /><label for="wpecus_radio4_dripfeedrate_maximumperhour"> 50 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio5_dripfeedrate_maximumperhour" name="hour" value="100" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 100){echo 'checked';} ?> /><label for="wpecus_radio5_dripfeedrate_maximumperhour"> 100 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio6_dripfeedrate_maximumperhour" name="hour" value="250" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 250){echo 'checked';} ?> /><label for="wpecus_radio6_dripfeedrate_maximumperhour"> 250 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio7_dripfeedrate_maximumperhour" name="hour" value="500" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 500){echo 'checked';} ?> /><label for="wpecus_radio7_dripfeedrate_maximumperhour"> 500 </label><?php wpecus_GUI_nbsp();?>        
        <input type="radio" id="wpecus_radio8_dripfeedrate_maximumperhour" name="hour" value="1000" <?php if(isset($wpecus_schedule_array['limits']['hour']) && $wpecus_schedule_array['limits']['hour'] == 1000){echo 'checked';} ?> /><label for="wpecus_radio8_dripfeedrate_maximumperhour"> 1000 </label><?php wpecus_GUI_nbsp();?>                                                                                                                        
    </div>
                    
    <h4><?php wpecus_tt('Maximum Per Session/Event','Sessions/events are triggered by visits to the blog. On loading Wordpress loads all plugins and while this plugin loads it checks your schedule. If something needs done the procedure is referred to as an event. You get to determine how many posts are created during a single event. Use this to avoid your blog loading time slowing down a lot or sacrifice a quick loading blog for some speedy auto-blogging');?></h4>
    <script>
    $(function() {
        $( "#wpecus_dripfeedrate_maximumpersession" ).buttonset();
    });
    </script>                
    <div id="wpecus_dripfeedrate_maximumpersession">
        <input type="radio" id="wpecus_radio1_dripfeedrate_maximumpersession" name="session" value="1" <?php if(isset($wpecus_schedule_array['limits']['session']) && $wpecus_schedule_array['limits']['session'] == 1){echo 'checked';} ?> /><label for="wpecus_radio1_dripfeedrate_maximumpersession"> 1 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio2_dripfeedrate_maximumpersession" name="session" value="5" <?php if(isset($wpecus_schedule_array['limits']['session']) && $wpecus_schedule_array['limits']['session'] == 5){echo 'checked';} ?> /><label for="wpecus_radio2_dripfeedrate_maximumpersession"> 5 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio3_dripfeedrate_maximumpersession" name="session" value="10" <?php if(isset($wpecus_schedule_array['limits']['session']) && $wpecus_schedule_array['limits']['session'] == 10){echo 'checked';} ?> /><label for="wpecus_radio3_dripfeedrate_maximumpersession"> 10 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio9_dripfeedrate_maximumpersession" name="session" value="25" <?php if(isset($wpecus_schedule_array['limits']['session']) && $wpecus_schedule_array['limits']['session'] == 25){echo 'checked';} ?> /><label for="wpecus_radio9_dripfeedrate_maximumpersession"> 25 </label><?php wpecus_GUI_nbsp();?>                    
        <input type="radio" id="wpecus_radio4_dripfeedrate_maximumpersession" name="session" value="50" <?php if(isset($wpecus_schedule_array['limits']['session']) && $wpecus_schedule_array['limits']['session'] == 50){echo 'checked';} ?> /><label for="wpecus_radio4_dripfeedrate_maximumpersession"> 50 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio5_dripfeedrate_maximumpersession" name="session" value="100" <?php if(isset($wpecus_schedule_array['limits']['session']) && $wpecus_schedule_array['limits']['session'] == 100){echo 'checked';} ?> /><label for="wpecus_radio5_dripfeedrate_maximumpersession"> 100 </label><?php wpecus_GUI_nbsp();?>
        <input type="radio" id="wpecus_radio6_dripfeedrate_maximumpersession" name="session" value="200" <?php if(isset($wpecus_schedule_array['limits']['session']) && $wpecus_schedule_array['limits']['session'] == 200){echo 'checked';} ?> /><label for="wpecus_radio6_dripfeedrate_maximumpersession"> 200 </label><?php wpecus_GUI_nbsp();?>                                                                                                                        
        <input type="radio" id="wpecus_radio7_dripfeedrate_maximumpersession" name="session" value="300" <?php if(isset($wpecus_schedule_array['limits']['session']) && $wpecus_schedule_array['limits']['session'] == 300){echo 'checked';} ?> /><label for="wpecus_radio7_dripfeedrate_maximumpersession"> 300 </label><?php wpecus_GUI_nbsp();?>    
    </div>

    <?php wpecus_formend_standard($form_array['form_button'],$jsform_set['form_id']);?>

<?php wpecus_panel_footer();?> 

<?php
++$panel_number;// increase panel counter so this panel has unique ID
$form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
$form_array['panel_name'] = 'eventtypes';// slug to act as a name and part of the panel ID 
$form_array['panel_title'] = __('Event Types *global panel*');// user seen panel header text 
$form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
$form_array['panel_help'] = __('Event types are the names giving to different things WP e-Customers can do during automated processing. You should only activate event types you actually want to use. The more you activate, the less priority each event type has i.e. if you activate 10 different event types, each event type will be run 10 or more minutes apart as there is a 60 second cooldown between all events of any type. You can override the schedules process of cycling through multiple different event types and force it to focus on one selected event type using the Focus settings.');
$form_array['panel_url'] = 'http://www.wpecustomers.com/hacking/event-types';
$form_array['video'] = 'http://www.youtube.com/embed/VViRp6Ggw94';
// Form Settings - create the array that is passed to jQuery form functions
$jsform_set_override = array();
$jsform_set = wpecus_jqueryform_commonarrayvalues($pageid,$form_array['tabnumber'],$form_array['panel_number'],$form_array['panel_name'],$form_array['panel_title'],$jsform_set_override);            
$jsform_set['dialogbox_title'] = 'Save Event Types';
$jsform_set['noticebox_content'] = 'You are about to change the permitted event types to be run as part of the automated schedule system, do you want to continue?';
?>
<?php wpecus_panel_header( $form_array );?>

    <?php // begin form and add hidden values
    wpecus_formstart_standard($jsform_set['form_name'],$jsform_set['form_id'],'post','wpecus_form',$wpecus_form_action);
    wpecus_hidden_form_values($wpecus_tab_number,$pageid,$form_array['panel_name'],$form_array['panel_title'],$form_array['panel_number']);
    ?> 
    
    <h4><?php wpecus_tt('Focus','Make the plugin focus on a specific type of event. If you would like it to tweet auto-blogged posts that have not yet been tweeted before making even more posts than you would select Twitter Send');?></h4>                                                                                                                           

    <script>
    $(function() {
        $( "#wpecus_focus_eventtype_postcreation" ).buttonset();
    });
    </script>                
    <div id="wpecus_focus_eventtype_postcreation">
        <?php         
        $default = true;
        foreach($wpecus_schedule_array['eventtypes'] as $eventtype => $eventtype_array){
                      
            $checked = '';
            if(isset(${'focus'.$eventtype}) && ${'focus'.$eventtype} == 1){
                $checked = 'checked="checked"';
                $default = false;
            }?>
            
            <input type="radio" id="wpecus_focus_event_<?php echo $eventtype;?>" name="wpecus_focus_event" value="1" <?php echo $checked;?>  />
            <label for="wpecus_focus_event_<?php echo $eventtype;?>"><?php echo $eventtype_array['name'];?></label><?php wpecus_GUI_br();?><?php           
        }
        ?>
        
        <input type="radio" id="wpecus_focus_event_none" name="wpecus_focus_event" value="1" <?php if($default){echo 'checked="checked"';}?>  />
        <label for="wpecus_focus_event_none">No Focus</label>        
                              
    </div> 
    
    <br />
                                                                                                                                
    <h4><?php wpecus_tt('Post Creation','Enable or disable automatic post creation, also known as drip-feeding, within this plugins schedule');?></h4>
    <script>
    $(function() {
        $( "#wpecus_eventtypeactivation_postcreation" ).buttonset();
    });
    </script>                
    <div id="wpecus_eventtypeactivation_postcreation">
        <input type="radio" id="wpecus_radio1_eventtypeactivation_postcreation" name="wpecus_eventtype_postcreation" value="1" <?php if(isset($wpecus_schedule_array['eventtypes']['postcreation']['switch']) && $wpecus_schedule_array['eventtypes']['postcreation']['switch'] == 1){echo 'checked';} ?> />
        <label for="wpecus_radio1_eventtypeactivation_postcreation"> Enabled</label>
        <?php wpecus_GUI_br();?>
        <input type="radio" id="wpecus_radio2_eventtypeactivation_postcreation" name="wpecus_eventtype_postcreation" value="0" <?php if(isset($wpecus_schedule_array['eventtypes']['postcreation']['switch']) && $wpecus_schedule_array['eventtypes']['postcreation']['switch'] == 0 || !isset($wpecus_schedule_array['eventtypes']['postcreation']['switch'])){echo 'checked';} ?> />
        <label for="wpecus_radio2_eventtypeactivation_postcreation"> Disabled</label>    
    </div>    
 
    <h4><?php wpecus_tt('Post Update','Enable or disable automatic post updating controlled by the plugins schedule');?></h4>
    <script>
    $(function() {
        $( "#wpecus_eventtypeactivation_postupdate" ).buttonset();
    });
    </script>                
    <div id="wpecus_eventtypeactivation_postupdate">
        <input type="radio" id="wpecus_radio1_eventtypeactivation_postupdate" name="wpecus_eventtype_postupdate" value="1" <?php if(isset($wpecus_schedule_array['eventtypes']['postupdate']['switch']) && $wpecus_schedule_array['eventtypes']['postupdate']['switch'] == 1){echo 'checked';} ?> />
        <label for="wpecus_radio1_eventtypeactivation_postupdate"> Enabled</label>
        <?php wpecus_GUI_br();?>
        <input type="radio" id="wpecus_radio2_eventtypeactivation_postupdate" name="wpecus_eventtype_postupdate" value="0" <?php if(isset($wpecus_schedule_array['eventtypes']['postupdate']['switch']) && $wpecus_schedule_array['eventtypes']['postupdate']['switch'] == 0 || !isset($wpecus_schedule_array['eventtypes']['postupdate']['switch'])){echo 'checked';} ?> />
        <label for="wpecus_radio2_eventtypeactivation_postupdate"> Disabled</label>    
    </div> 
    
    <h4><?php wpecus_tt('Data Import','Enable or disable automatic data import controlled by the plugins schedule');?></h4>
    <script>
    $(function() {
        $( "#wpecus_eventtypeactivation_dataimport" ).buttonset();
    });
    </script>                
    <div id="wpecus_eventtypeactivation_dataimport">
        <input type="radio" id="wpecus_radio1_eventtypeactivation_dataimport" name="wpecus_eventtype_dataimport" value="1" <?php if(isset($wpecus_schedule_array['eventtypes']['dataimport']['switch']) && $wpecus_schedule_array['eventtypes']['dataimport']['switch'] == 1){echo 'checked';} ?> />
        <label for="wpecus_radio1_eventtypeactivation_dataimport"> Enabled</label>
        <?php wpecus_GUI_br();?>
        <input type="radio" id="wpecus_radio2_eventtypeactivation_dataimport" name="wpecus_eventtype_dataimport" value="0" <?php if(isset($wpecus_schedule_array['eventtypes']['dataimport']['switch']) && $wpecus_schedule_array['eventtypes']['dataimport']['switch'] == 0 || !isset($wpecus_schedule_array['eventtypes']['dataimport']['switch'])){echo 'checked';} ?> />
        <label for="wpecus_radio2_eventtypeactivation_dataimport"> Disabled</label>    
    </div>

    <h4><?php wpecus_tt('Data Update','Enable or disable automatic data updating controlled by the plugins own schedule system');?></h4>
    <script>
    $(function() {
        $( "#wpecus_eventtypeactivation_dataupdate" ).buttonset();
    });
    </script>                
    <div id="wpecus_eventtypeactivation_dataupdate">
        <input type="radio" id="wpecus_radio1_eventtypeactivation_dataupdate" name="wpecus_eventtype_dataupdate" value="1" <?php if(isset($wpecus_schedule_array['eventtypes']['dataupdate']['switch']) && $wpecus_schedule_array['eventtypes']['dataupdate']['switch'] == 1){echo 'checked';} ?> />
        <label for="wpecus_radio1_eventtypeactivation_dataupdate"> Enabled</label>
        <?php wpecus_GUI_br();?>
        <input type="radio" id="wpecus_radio2_eventtypeactivation_dataupdate" name="wpecus_eventtype_dataupdate" value="0" <?php if(isset($wpecus_schedule_array['eventtypes']['dataupdate']['switch']) && $wpecus_schedule_array['eventtypes']['dataupdate']['switch'] == 0 || !isset($wpecus_schedule_array['eventtypes']['dataupdate']['switch'])){echo 'checked';} ?> />
        <label for="wpecus_radio2_eventtypeactivation_dataupdate"> Disabled</label>    
    </div> 

    <?php wpecus_formend_standard($form_array['form_button'],$jsform_set['form_id']);?>

<?php wpecus_panel_footer();?>

<?php
++$panel_number;// increase panel counter so this panel has unique ID
$form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
$form_array['panel_name'] = 'eventsstatus';// slug to act as a name and part of the panel ID 
$form_array['panel_title'] = __('Events Status *global panel*');// user seen panel header text  
$form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
$form_array['panel_help'] = __('Many different types of actions can happen during events but there is only one action per event. There is normally many events, depending on user configuration of the permitted days and hours. This panel tells us if things are running smothly and helps us test the schedule. With this panel we can see that automated things are actually happening without having to check posts, categories, twitter plugins, the database, widgets etc');
$form_array['panel_state'] = 1;?>
<?php wpecus_panel_header( $form_array );?>

    <h4>Events Counter - 60 Minute Period</h4>
    <p>
    <?php 
    if(isset($wpecus_schedule_array['history']['hourcounter'])){
        echo $wpecus_schedule_array['history']['hourcounter']; 
    }else{
        echo 'No events have been done during the current 60 minute period';    
    }?>
    </p> 

    <h4>Events Counter - 24 Hour Period</h4>
    <p>
    <?php 
    if(isset($wpecus_schedule_array['history']['daycounter'])){
        echo $wpecus_schedule_array['history']['daycounter']; 
    }else{
        echo 'No events have been done during the current 24 hour period';    
    }?>
    </p>

    <h4>Last Event Type</h4>
    <p>
    <?php 
    if(isset($wpecus_schedule_array['history']['lasteventtype'])){
        
        if($wpecus_schedule_array['history']['lasteventtype'] == 'dataimport'){
            echo 'Data Import';            
        }elseif($wpecus_schedule_array['history']['lasteventtype'] == 'dataupdate'){
            echo 'Data Update';
        }elseif($wpecus_schedule_array['history']['lasteventtype'] == 'postcreation'){
            echo 'Post Creation';
        }elseif($wpecus_schedule_array['history']['lasteventtype'] == 'postupdate'){
            echo 'Post Update';
        }elseif($wpecus_schedule_array['history']['lasteventtype'] == 'twittersend'){
            echo 'Twitter: New Tweet';
        }elseif($wpecus_schedule_array['history']['lasteventtype'] == 'twitterupdate'){
            echo 'Twitter: Send Update';
        }elseif($wpecus_schedule_array['history']['lasteventtype'] == 'twitterget'){
            echo 'Twitter: Get Reply';
        }
         
    }else{
        echo 'No events have been carried out yet';    
    }?>
    </p>

    <h4>Last Event Action</h4>
    <p>
    <?php 
    if(isset($wpecus_schedule_array['history']['lasteventaction'])){
        echo $wpecus_schedule_array['history']['lasteventaction']; 
    }else{
        echo 'No event actions have been carried out yet';    
    }?>
    </p>
        
    <h4>Last Event Time</h4>
    <p>
    <?php 
    if(isset($wpecus_schedule_array['history']['lasteventtime'])){
        echo date("F j, Y, g:i a",$wpecus_schedule_array['history']['lasteventtime']); 
    }else{
        echo 'No schedule events have ran on this server yet';    
    }?>
    </p>

    <h4>Last Refusal Reason</h4>
    <p>
    <?php 
    if(isset($wpecus_schedule_array['history']['lastreturnreason'])){
        echo $wpecus_schedule_array['history']['lastreturnreason']; 
    }else{
        echo 'No event refusal reason has been set yet';    
    }?>
    </p>
    
    <h4>Last Hourly Reset</h4>
    <p>
    <?php 
    if(isset($wpecus_schedule_array['history']['hour_lastreset'])){
        echo date("F j, Y, g:i a",$wpecus_schedule_array['history']['hour_lastreset']); 
    }else{
        echo 'No hourly reset has been done yet';    
    }?>
    </p>   
        
    <h4>Last 24 Hour Period Reset</h4>
    <p>
    <?php 
    if(isset($wpecus_schedule_array['history']['day_lastreset'])){
        echo date("F j, Y, g:i a",$wpecus_schedule_array['history']['day_lastreset']); 
    }else{
        echo 'No 24 hour reset has been done yet';    
    }?>
    </p> 
       
    <h4>Your Servers Current Data and Time</h4>
    <p><?php echo date("F j, Y, g:i a",time());?></p>
    
<?php wpecus_panel_footer();?> 

<?php
++$panel_number;// increase panel counter so this panel has unique ID
$form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
$form_array['panel_name'] = 'dripfeedprojects';// slug to act as a name and part of the panel ID 
$form_array['panel_title'] = __('Drip Feed Projects *global panel*');// user seen panel header text 
$form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
$form_array['panel_help'] = __('Setup projects for drip feeding by moving projects into the Drip Feeding list.
WP e-Customers will then include that project in the automated process of creating posts at the rate
set within schedule parameters. The schedule is global meaning it will continue running in the same way no matter
how many projects you setup for post drip feeding. Project settings allow you to determine how many posts are created 
per hour. The plugin can do them all at once or try to spread them out through the hour in increments of 1 minute gaps.');
// Form Settings - create the array that is passed to jQuery form functions
$jsform_set_override = array();
$jsform_set = wpecus_jqueryform_commonarrayvalues($pageid,$form_array['tabnumber'],$form_array['panel_number'],$form_array['panel_name'],$form_array['panel_title'],$jsform_set_override);   
$jsform_set['dialogbox_title'] = 'Saving Drip Feed Status';
$jsform_set['noticebox_content'] = 'You are about to stop or start drip feeding for the selected projects, posts may be created automatically, do you wish to continue?';
// TODO: LOWPRIORITY, add a checkbox to allow user to save design for the mapping approach
// TODO: LOWPRIORITY, add the search box ability to the selectables lists
?>
    <?php wpecus_panel_header( $form_array );?>

    <?php 
    // begin form and add hidden values
    wpecus_formstart_standard($jsform_set['form_name'],$jsform_set['form_id'],'post','wpecus_form',$wpecus_form_action);
    wpecus_hidden_form_values($wpecus_tab_number,$pageid,$form_array['panel_name'],$form_array['panel_title'],$form_array['panel_number']);
    ?> 
    
    <?php 
    if(!isset($wpecus_projectslist_array) || $wpecus_projectslist_array == false){
        
        echo '<strong>You do not have any projects</strong>';
            
    }else{?>
    
        <script type="text/javascript">
         $(function(){
            $('#wpecus_multiselect_dripfeedprojectsactivation').multiSelect({
                      selectableHeader : '<h3>Manual Only</h3>',
                      selectedHeader : '<h3>Drip Feeding</h3>'
            });
         });
        </script>
                
        <div id="wpecus_multiselect_dripfeedprojectsactivation">
        <?php ### TODO:CRITICAL, this select has two ID?>
            <select multiple='multiple' id="listtestid" id="wpecus_multiselect_dripfeedprojectsactivation" name="wpecus_dripfeedprojects_list[]">
                <?php     
                global $wpecus_projectslist_array;
                foreach($wpecus_projectslist_array as $project_code => $project){
                    if($project_code != 'arrayinfo'){
                        $selected = '';
                        if(isset($wpecus_projectslist_array[$project_code]['dripfeeding']) && $wpecus_projectslist_array[$project_code]['dripfeeding'] == 'on'){$selected = 'selected="selected"';}
                        echo '<option value="'.$project_code.'" '.$selected.'>'.$project['name'].'</option>';
                    }       
                }         
                ?> 
            </select>
        </div>
        
    <?php 
    }?>    

    <?php wpecus_formend_standard($form_array['form_button'],$jsform_set['form_id']);?>

<?php wpecus_panel_footer();?>

<?php
if(!$wpecus_is_free){
    ++$panel_number;// increase panel counter so this panel has unique ID
    $form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
    $form_array['panel_name'] = 'dripfeedprojectsarraydump';// slug to act as a name and part of the panel ID 
    $form_array['panel_title'] = __('Drip Feed Project Array Dump');// user seen panel header text 
    $form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
    $form_array['panel_help'] = __('A dump of the array that holds all projects. It also holds the value that causes a project to be included in automatic post creation. Automatic post creation is also known as drip feeding posts into Wordpress or auto-blogging. In WP e-Customers drip-feeding events are triggered when the blog is visited on both public and admin side. During the loading of Wordpress, this plugin is also loaded and any due events are processed.');?>
    <?php wpecus_panel_header( $form_array );?>
        
        <pre><?php wpecus_var_dump($wpecus_projectslist_array); ?></pre>
        
    <?php wpecus_panel_footer();
}?> 

<?php
if(!$wpecus_is_free){
    ++$panel_number;// increase panel counter so this panel has unique ID
    $form_array = wpecus_WP_SETTINGS_panel_array($pageid,$panel_number,$wpecus_tab_number);
    $form_array['panel_name'] = 'schedulearraydump';// slug to act as a name and part of the panel ID 
    $form_array['panel_title'] = __('Schedule Array Dump');// user seen panel header text 
    $form_array['panel_id'] = $form_array['panel_name'].$panel_number;// creates a unique id, may change from version to version but within a version it should be unique
    $form_array['panel_help'] = __('This array dump shows the permitted days of the week and hours per day for drip-feed events to happen. The values apply to all projects, contact us if you need projects to run different schedules.');?>
    <?php wpecus_panel_header( $form_array );?>
        
        <h4>Event</h4>
        <?php if(isset($wpecus_schedule_array['history'])){wpecus_var_dump($wpecus_schedule_array['history']);}else{echo 'No schedule history recorded';} ?>
               
        <h4>Days</h4>
        <?php if(isset($wpecus_schedule_array['days'])){wpecus_var_dump($wpecus_schedule_array['days']);}else{echo 'No days settings stored';} ?>
        
        <h4>Hours</h4>
        <?php if(isset($wpecus_schedule_array['hours'])){wpecus_var_dump($wpecus_schedule_array['hours']);}else{echo 'No hours settings stored';} ?>

        <h4>Creation Limits</h4>
        <p>These are used to avoid over processing on the server</p>
        <?php if(isset($wpecus_schedule_array['limits'])){wpecus_var_dump($wpecus_schedule_array['limits']);}else{echo 'No limits/target settings stored';} ?>
        
        <h4>Entire Array</h4>
        <?php if(isset($wpecus_schedule_array)){wpecus_var_dump($wpecus_schedule_array);}else{echo 'No array stored';} ?>
                
    <?php wpecus_panel_footer();
}?> 