<?php
/** 
 * Tab view for Users Monitor in WP e-Customers plugin 
 * 
 * Users Monitor screen lists users in order of concern. A concern score puts users in order. The more 
 * negative activities by a user the higher their concern score. This can include spamming, abuse on forums,
 * downloading the same version of a product multiple times in a short period etc. 
 * 
 * The purpose of this system is to detect the most troubling users and deal with them.
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */  
?>

<div class="wpecus_twocolumns_container">

    <div class="wpecus_twocolumns_right">
    
        <h4>Quick Actions</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
                <?php /*    
                <a href="<?php echo wp_nonce_url( admin_url() . 'admin.php?page=' . $p . $wpecus_tab, 'initializeactivityscore' );?>" title="Initialize activity score for users who do not have a score yet" class="button">Initialize Activity Score</a>
                        */

                ?>                                                              
            </div>
        </div> 
        
        <h4>Recommended Actions</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
                                                                      
            </div>
        </div>
                
    </div>
    
    <div class="wpecus_twocolumns_left">
        
        <h4>Most Concerning Users</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">

                <?php
                $args = array(
                    'blog_id'      => $GLOBALS['blog_id'],
                    'meta_key'     => 'wpecus_concern',
                    'meta_query' => array(    
                        'key' => 'wpecus_concern'
                        ),                    
                    'exclude'      => array(1),
                    'order'        => 'DESC',
                    'number'       => '5',
                    'fields'       => 'all',// all|all_with_meta
                 );
                                 
                $concerning_users = get_users( $args );
         
                //custom function for comparing the data we want to sort by  
                function wpecus_order_by_concern($a, $b){  
                    if ($a->wpecus_concern == $b->wpecus_concern) {  
                        return 0;  
                    }  
                    return ($a->wpecus_concern > $b->wpecus_concern) ? -1 : 1;  
                }  
                  
                //usort sorts our $users array with our function cmp()  
                usort($concerning_users, 'wpecus_order_by_concern');  
          
                if(!$concerning_users){
                    echo '<p class="about-description">No users with concern marks were found, you run a happy website!</p>'; 
                }else{
                    
                    // output
                    wpecus_GUI_tablestart();
                    echo ' 
                    <thead>
                        <tr>';
                        
                            echo '<th>Concern Marks</th>';
                            echo '<th>User Login</th>';
                            echo '<th>User ID</th>'; 
                            echo '<th>Role</th>';
                   
                        echo '</tr>
                    </thead>'; 

                    echo '
                    <tfoot>
                        <tr>';
                        
                            echo '<th>Concern Marks</th>';
                            echo '<th>User Login</th>';
                            echo '<th>User ID</th>';                                                  
                            echo '<th>Role</th>';
                       
                        echo '</tr>
                    </tfoot>
                    <tbody>';

                    foreach($concerning_users as $key => $user){
       
                        $user_meta = get_user_meta($user->ID);
       
                        echo '<tr>';
                        
                            echo '<td>'.$user_meta['wpecus_concern'][0].'</td>';
                            echo '<td>'.$user->user_login.'</td>';
                            echo '<td>'.$user->ID.'</td>';
                            echo '<td>'.ucfirst($user->roles[0]).'</td>';
                    
                        echo '</tr>';
                          
                    }

                    echo '</tbody></table>';  
                }  
                ?>
                                                                               
            </div>
        </div> 
        
        <h4>Raised Disputes</h4>
        <div class="welcome-panel">
            <div class="welcome-panel-content">
                <p class="about-description">No disputes have been raised by users.</p>                                                               
            </div>
        </div>          
 
    
        <h4>Problematic User Accounts</h4>
        <div class="welcome-panel">
            <div class="welcome-panel-content">
                <p class="about-description">No accounts have ongoing problems.</p>                                                                     
            </div>
        </div>      
  
  
    </div>
</div>