<?php
/** 
 * Tab view for Users Monitor in WP e-Customers plugin 
 * 
 * Users Monitor screen lists users in order of concern. A concern score puts users in order. The more 
 * negative activities by a user the higher their concern score. This can include spamming, abuse on forums,
 * downloading the same version of a product multiple times in a short period etc. 
 * 
 * The purpose of this system is to detect the most troubling users and deal with them.
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */  
?>

<div class="wpecus_twocolumns_container">

    <div class="wpecus_twocolumns_right">
    
        <h4>Quick Actions</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
                <?php /*    
                <a href="<?php echo wp_nonce_url( admin_url() . 'admin.php?page=' . $p . $wpecus_tab, 'initializeactivityscore' );?>" title="Initialize activity score for users who do not have a score yet" class="button">Initialize Activity Score</a>
                        */

                ?>                                                              
            </div>
        </div> 
        
        <h4>Recommended Actions</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">
            
                <?php wpecus_recommendedaction_initializeactivityscores();?> 
                                                                  
            </div>
        </div>
                
    </div>
    
    <div class="wpecus_twocolumns_left">
    
        <h4>50 Most Active Users</h4>
        <div class="welcome-panel">
         
            <div class="welcome-panel-content">

                <?php
                $args = array(
                    'blog_id'      => $GLOBALS['blog_id'],
                    'meta_key'     => 'wpecus_activityscore',
                    'meta_query' => array(    
                        'key' => 'wpecus_activityscore'
                        ),                    
                    'exclude'      => array(1),
                    'order'        => 'ASC',
                    'number'       => '50',
                    'fields'       => 'all',// all|all_with_meta
                 );
                                 
                $users = get_users( $args );
                 
                // reorder array
                function wpecus_reorder_activityscore_mostactive($a, $b){  
                    if ($a->wpecus_activityscore == $b->wpecus_activityscore) {  
                        return 0;  
                    }  
                    return ($a->wpecus_activityscore < $b->wpecus_activityscore) ? -1 : 1;  
                }
                                  
                //usort sorts our $users array with our function cmp()  
                usort($users, 'wpecus_reorder_activityscore_mostactive');  
          
                if(!$users){
                    echo '<p class="about-description">No users with an activity score was found.</p>'; 
                }else{
                    
                    // output
                    wpecus_GUI_tablestart();
                    echo ' 
                    <thead>
                        <tr>';
                        
                            echo '<th>Activity Score</th>';
                            echo '<th>User Login</th>';
                            echo '<th>User ID</th>'; 
                            echo '<th>Role</th>';
                   
                        echo '</tr>
                    </thead>'; 

                    echo '
                    <tfoot>
                        <tr>';
                        
                            echo '<th>Activity Score</th>';
                            echo '<th>User Login</th>';
                            echo '<th>User ID</th>';                                                  
                            echo '<th>Role</th>';
                       
                        echo '</tr>
                    </tfoot>
                    <tbody>';

                    foreach($users as $key => $user){
                                                 
                        $user_meta = get_user_meta($user->ID);
       
                        echo '<tr>';
                        
                            if(!isset($user_meta['wpecus_activityscore'][0])){
                                $user_meta['wpecus_activityscore'][0] = 0;    
                            }
                            
                            echo '<td>'.$user_meta['wpecus_activityscore'][0].'</td>';
                            echo '<td>'.$user->user_login.'</td>';
                            echo '<td>'.$user->ID.'</td>';
                            echo '<td>'.ucfirst($user->roles[0]).'</td>';
                    
                        echo '</tr>';
                          
                    }

                    echo '</tbody></table>';
                }?>
                                                                               
            </div>
        </div>      
        
         
    </div>
</div>