<?php
/** 
 * Tab navigation array for WP e-Customers plugin 
 * 
 * @link by http://www.webtechglobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */
 
/**
* Instructions
* 1. remember to set an ['userdefault'] for each page, this is to revert to if there are issues loading requested screen, the default for none admin should be suitable for anyone who is expected to visit the page
* 2. note, there are other values that are not included in the array by default and in most cases the value not being present is treated as boolean true
*/

global $wpecus_homeslug,$wpecus_plugintitle,$wpecus_is_dev;

$dc = 'update_core';// default capability required by page or tab
$freepath = WTG_WPECUS_PATH . 'views/';
$wpecus_mpt_arr = array();

function wpecustomers_active_status($default_active_status = false) {
    global $wpecus_is_dev;
    if($wpecus_is_dev){return true;}// developers see all
    return $default_active_status;
}

// main page
$wpecus_mpt_arr['menu']['main']['active'] = wpecustomers_active_status(true);// boolean -is this page in use
$wpecus_mpt_arr['menu']['main']['slug'] = 'wpecustomers';// home page slug set in main file
$wpecus_mpt_arr['menu']['main']['menu'] = 'WP e-Customers';// main menu title
$wpecus_mpt_arr['menu']['main']['name'] = "main";// name of page (slug) and unique
$wpecus_mpt_arr['menu']['main']['title'] = 'WP e-Customers';// page title seen once page is opened
$wpecus_mpt_arr['menu']['main']['permissions']['capability'] = $dc;// our best guess on a suitable capability
$wpecus_mpt_arr['menu']['main']['permissions']['customcapability'] = $dc;// users requested capability which is giving priority over default 
$sub = 0;  
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['slug'] = 'about';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['label'] = 'About';  
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['path'] = $freepath.'main/wpecus_about.php';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['customcapability'] = $dc; 
++$sub; 
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['slug'] = 'generalsettings';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['label'] = 'General Settings';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['path'] = $freepath.'main/wpecus_generalsettings.php';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['customcapability'] = $dc; 
++$sub;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['slug'] = 'schedulesettings';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['label'] = 'Schedule';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['path'] = $freepath.'main/wpecus_schedulesettings.php';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['customcapability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['slug'] = 'install';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['label'] = 'Install';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['path'] = $freepath.'main/wpecus_install.php';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['customcapability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['slug'] = 'dev';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['label'] = 'Dev';# developer information
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['path'] = $freepath.'main/wpecus_dev.php';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['customcapability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['slug'] = 'extensions';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['label'] = 'Extensions';# developer information
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['path'] = $freepath.'main/wpecus_extensions.php';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['customcapability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['slug'] = 'log';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['label'] = 'Log';# developer information
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['path'] = $freepath.'main/wpecus_log.php';
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['main']['tabs'][$sub]['permissions']['customcapability'] = $dc;
######################################################
#                  AFFILIATES                        #
######################################################
$name = 'affiliates';
$title = 'Affiliates';
$wpecus_mpt_arr['menu']['affiliates']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['affiliates']['slug'] =  "wpecustomers_affiliates";
$wpecus_mpt_arr['menu']['affiliates']['menu'] = $title;
$wpecus_mpt_arr['menu']['affiliates']['name'] = $name;
$wpecus_mpt_arr['menu']['affiliates']['title'] = 'Affiliate Program';
$wpecus_mpt_arr['menu']['affiliates']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['affiliates']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['slug'] = 'affiliatesoverview';
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['label'] = 'Affiliates Overview';
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['slug'] = 'affiliatessettings';
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['label'] = 'Affiliates Settings';
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['path'] = $freepath.$name.'/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['affiliates']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                     USERS                          #
######################################################
$name = 'users';
$title = 'Users';
$wpecus_mpt_arr['menu']['users']['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['users']['slug'] =  "wpecustomers_users";
$wpecus_mpt_arr['menu']['users']['menu'] = $title;
$wpecus_mpt_arr['menu']['users']['name'] = $name;
$wpecus_mpt_arr['menu']['users']['title'] = 'User Management';
$wpecus_mpt_arr['menu']['users']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['users']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['slug'] = 'usersoverview';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['label'] = 'Users Overview';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['permissions']['capability'] = $dc; 
++$sub;
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['slug'] = 'userstools';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['label'] = 'Tools';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_tools.php';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['admindefault'] = true; 
++$sub;
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['slug'] = 'userssettings';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['label'] = 'Users Settings';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['permissions']['capability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['slug'] = 'usersprofile';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['label'] = 'Your Profile';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_profile.php';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['permissions']['capability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['slug'] = 'usersmonintor';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['label'] = 'Monitor';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_monitor.php';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['permissions']['capability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['slug'] = 'usersleastactive';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['label'] = 'Least Active';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_leastactive.php';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['permissions']['capability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['slug'] = 'usersmostactive';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['label'] = 'Most Active';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_mostactive.php';
$wpecus_mpt_arr['menu']['users']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                    CLIENTS                         #
######################################################
$name = 'clients';
$title = 'Clients';
$wpecus_mpt_arr['menu']['clients']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['clients']['slug'] =  "wpecustomers_clients";
$wpecus_mpt_arr['menu']['clients']['menu'] = $title;
$wpecus_mpt_arr['menu']['clients']['name'] = $name;
$wpecus_mpt_arr['menu']['clients']['title'] = 'Client Management';
$wpecus_mpt_arr['menu']['clients']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['clients']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['slug'] = 'clientsoverview';
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['label'] = 'Clients Overview';
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['slug'] = 'clientssettings';
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['label'] = 'Clients Settings';
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['clients']['tabs'][$sub]['permissions']['capability'] = $dc; 
######################################################
#               COMMUNITY AND SOCIAL                 #
######################################################
$name = 'community';
$title = 'Community';
$wpecus_mpt_arr['menu']['community']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['community']['slug'] =  "wpecustomers_community";
$wpecus_mpt_arr['menu']['community']['menu'] = $title;
$wpecus_mpt_arr['menu']['community']['name'] = $name;
$wpecus_mpt_arr['menu']['community']['title'] = 'Community Tools';
$wpecus_mpt_arr['menu']['community']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['community']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['slug'] = 'communityoverview';
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['label'] = 'Community Overview';
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['slug'] = 'communitysettings';
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['label'] = 'Community Settings';
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['community']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                DIGITAL DOWNLOADS                   #
######################################################
$name = 'downloads';
$title = 'Downloads';
$wpecus_mpt_arr['menu']['downloads']['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['downloads']['slug'] =  "wpecustomers_downloads";
$wpecus_mpt_arr['menu']['downloads']['menu'] = $title;
$wpecus_mpt_arr['menu']['downloads']['name'] = $name;
$wpecus_mpt_arr['menu']['downloads']['title'] = 'Download Services';
$wpecus_mpt_arr['menu']['downloads']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['downloads']['permissions']['capability'] = 'read';
$sub = 0;
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['slug'] = 'downloadsoverview';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['label'] = 'Downloads Overview';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['permissions']['capability'] = $dc;                                                                             
++$sub;
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['slug'] = 'downloadssettings';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['label'] = 'Downloads Settings';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['permissions']['capability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['slug'] = 'downloadstools';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['label'] = 'Tools';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_tools.php';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['admindefault'] = true;
++$sub;
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['slug'] = 'downloadsowned';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['label'] = 'Your Downloads';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_owned.php';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['permissions']['capability'] = 'read';
++$sub;
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['slug'] = 'downloadsnotowned';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['label'] = 'More Downloads';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_notowned.php';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['permissions']['capability'] = 'read';
++$sub;
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['slug'] = 'downloadsoffers';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['label'] = 'Special Offers';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_offers.php';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['permissions']['capability'] = 'read';
$wpecus_mpt_arr['menu']['downloads']['tabs'][$sub]['userdefault'] = true;
######################################################
#                    FINANCE                         #
######################################################
$name = 'finance';
$title = 'Finance';
$wpecus_mpt_arr['menu']['finance']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['finance']['slug'] =  "wpecustomers_finance";
$wpecus_mpt_arr['menu']['finance']['menu'] = $title;
$wpecus_mpt_arr['menu']['finance']['name'] = $name;
$wpecus_mpt_arr['menu']['finance']['title'] = 'Finance';
$wpecus_mpt_arr['menu']['finance']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['finance']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['slug'] = 'financeoverview';
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['label'] = 'Finance Overview';
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['slug'] = 'financesettings';
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['label'] = 'Finance Settings';
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['finance']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                 FORUM INTEGRATION                  #
######################################################
$name = 'forum';
$title = 'Forum Integration';
$wpecus_mpt_arr['menu']['forum']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['forum']['slug'] =  "wpecustomers_forum";
$wpecus_mpt_arr['menu']['forum']['menu'] = $title;
$wpecus_mpt_arr['menu']['forum']['name'] = $name;
$wpecus_mpt_arr['menu']['forum']['title'] = 'Forum Integration';
$wpecus_mpt_arr['menu']['forum']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['forum']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['slug'] = 'forumoverview';
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['label'] = 'Forum Overview';
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['slug'] = 'forumsettings';
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['label'] = 'Forum Settings';
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['forum']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                       LAB                          #
######################################################
$name = 'lab';
$title = 'Lab';
$wpecus_mpt_arr['menu']['lab']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['lab']['slug'] =  "wpecustomers_lab";
$wpecus_mpt_arr['menu']['lab']['menu'] = $title;
$wpecus_mpt_arr['menu']['lab']['name'] = $name;
$wpecus_mpt_arr['menu']['lab']['title'] = 'The Lab';
$wpecus_mpt_arr['menu']['lab']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['lab']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['slug'] = 'laboverview';
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['label'] = 'Lab Overview';
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['slug'] = 'labsettings';
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['label'] = 'Lab Settings';
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['lab']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                   MONETIZE                         #
######################################################
$name = 'monetize';
$title = 'Monetize';
$wpecus_mpt_arr['menu']['monetize']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['monetize']['slug'] =  "wpecustomers_monetize";
$wpecus_mpt_arr['menu']['monetize']['menu'] = $title;
$wpecus_mpt_arr['menu']['monetize']['name'] = $name;
$wpecus_mpt_arr['menu']['monetize']['title'] = 'Monetization System';
$wpecus_mpt_arr['menu']['monetize']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['monetize']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['slug'] = 'monetizeoverview';
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['label'] = 'Monetization Overview';
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['slug'] = 'monetizesettings';
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['label'] = 'Monetization Settings';
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['monetize']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                QUESTION & ANSWER                   #
######################################################
$name = 'questions';
$title = 'Question & Answer';
$wpecus_mpt_arr['menu']['questions']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['questions']['slug'] =  "wpecustomers_questions";
$wpecus_mpt_arr['menu']['questions']['menu'] = $title;
$wpecus_mpt_arr['menu']['questions']['name'] = $name;
$wpecus_mpt_arr['menu']['questions']['title'] = 'Question & Answer Service';
$wpecus_mpt_arr['menu']['questions']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['questions']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['slug'] = 'questionoverview';
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['label'] = 'Questions Overview';
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['slug'] = 'questionssettings';
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['label'] = 'Questions Settings';
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['questions']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                    REPUTATION                      #
######################################################
$name = 'reputation';
$title = 'Reputation';
$wpecus_mpt_arr['menu']['reputation']['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['reputation']['slug'] =  "wpecustomers_reputation";
$wpecus_mpt_arr['menu']['reputation']['menu'] = $title;
$wpecus_mpt_arr['menu']['reputation']['name'] = $name;
$wpecus_mpt_arr['menu']['reputation']['title'] = 'Reputation System';
$wpecus_mpt_arr['menu']['reputation']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['reputation']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['slug'] = 'reputationoverview';
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['label'] = 'Reputation Overview';
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['slug'] = 'reputationsettings';
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['label'] = 'Reputation Settings';
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['reputation']['tabs'][$sub]['permissions']['capability'] = $dc;
######################################################
#                       WEB                          #
######################################################
$name = 'web';
$title = 'Web';
$wpecus_mpt_arr['menu']['web']['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['web']['slug'] =  "wpecustomers_web";
$wpecus_mpt_arr['menu']['web']['menu'] = $title;
$wpecus_mpt_arr['menu']['web']['name'] = $name;
$wpecus_mpt_arr['menu']['web']['title'] = 'Web';
$wpecus_mpt_arr['menu']['web']['icon'] = 'options-general';
$wpecus_mpt_arr['menu']['web']['permissions']['capability'] = $dc;
$sub = 0;
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['slug'] = 'weboverview';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['label'] = 'Web Overview';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_overview.php';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['permissions']['capability'] = $dc;  
++$sub;
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['active'] = wpecustomers_active_status(false);
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['slug'] = 'websettings';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['label'] = 'Web Settings';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_settings.php';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['permissions']['capability'] = $dc;
++$sub;
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['active'] = wpecustomers_active_status(true);
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['slug'] = 'webtools';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['label'] = 'Web Tools';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['display'] = true;// user can change to false to hide screens
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['path'] = $freepath . $name . '/wpecus_'.$name.'_tools.php';
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['permissions']['capability'] = $dc;
$wpecus_mpt_arr['menu']['web']['tabs'][$sub]['admindefault'] = true;
?>