<?php         
/*
Plugin Name: WP e-Customers Beta
Version: 0.0.1
Plugin URI: http://www.webtechglobal.co.uk
Description: WP e-Customers plugin is the ultimate online business solution
Author: WebTechGlobal
Author URI: http://www.webtechglobal.co.uk

WP e-Customers GPL v3 (free edition license, ignore for any other edition not downloaded from Wordpress.org)

This program is free software downloaded from Wordpress.org: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. This means
it can be provided for the sole purpose of being developed further
and we do not promise it is ready for any one persons specific needs.
See the GNU General Public License for more details.

See <http://www.gnu.org/licenses/>.

This license does not apply to the paid edition which comes with premium
services not just software. License and agreement is seperate.
*/           

if ( ! defined( 'ABSPATH' ) ) {exit;}
            
// package variables (frequently changed) 
$wpecus_currentversion = '0.0.1';
$wpecus_php_version_tested = '5.4.12';// current version the plugin is being developed on
$wpecus_php_version_minimum = '5.3.0';// minimum version required for plugin to operate
$wpecus_is_free_override = false;// change to true for free edition setup when fulledition folder present 
$wpecus_demo_mode = false;// we do not want error display on demos on www.csvtopost.com
$wpecus_debug_mode = false;// www.csvtopost.com will override this but only if demo mode not active
$wpecus_disable_extensions = false;// boolean - can quickly disable extensions using this
$wpecus_beta_mode = false;// must be set to true prior to installation to ensure beta features are configured properly
$wpecus_is_dev = false;// false|true  - true will display more information i.e. array dumps using var_dump() 
    
// activate debug by url or based on the domain - you can change this to your own test domains                   
if($wpecus_demo_mode != true){# we ensure no error output on demos   
    $testingserver = strstr(ABSPATH,'testing/wordpress/wpecustomers'); 
    if(isset($_GET['wpecustomersdebug']) || $testingserver ){
        $wpecus_debug_mode = true; 
        $wpecus_beta_mode = true;
        $wpecus_is_dev = true;      
    }                
}
    
// error output should never be on during AJAX requests               
if(defined('DOING_AJAX') && DOING_AJAX){
    $wpecus_debug_mode = false;    
}                   
         
// other variables required on installation or loading
$wpecus_plugintitle = 'WP e-Customers';// requires so that extensions can re-brand the plugin
$wpecus_pluginname = 'wpecustomers';// should not be used to make up paths
$wpecus_homeslug = $wpecus_pluginname;
$wpecus_isbeingactivated = false;// changed to true during activation, used to avoid certain processing especially the schedule and automation system
$wpecus_is_event = false;// when true, an event is running or has ran, used to avoid over processing         
$wpecus_installation_required = true;                                                     
$wpecus_is_installed = false;        
$wpecus_was_installed = false;
$wpecus_is_emailauthorised = false;
$wpecus_log_maindir = 'unknown';
$wpecus_currentproject = 'No Project Set';# this is to be phased out, we do not require a current project
$wpecus_notice_array = array();// set notice array for storing new notices in (not persistent notices)
$wpecus_extension_loaded = false;
$wpecus_menu_source = 'file';// file (inline array), data (stored in option record for custom settings to be applied)
$wpecus_is_free = true;                           
if(file_exists(plugin_dir_path(__FILE__) . 'fulledition') && $wpecus_is_free_override == false){$wpecus_is_free = false;}

// define constants               
if(!defined("WTG_WPECUS_FOLDERNAME")){define("WTG_WPECUS_FOLDERNAME",str_replace('/wp-e-customers.php','',plugin_basename(__FILE__)));}               
if(!defined("WTG_WPECUS_ABB")){define("WTG_WPECUS_ABB","wpecus_");}
if(!defined("WTG_WPECUS_NAME")){define("WTG_WPECUS_NAME",'WP e-Customers');} 
if(!defined("WTG_WPECUS_URL")){define("WTG_WPECUS_URL", plugin_dir_url(__FILE__) );}//http://localhost/wordpress-testing/wtgplugintemplate/wp-content/plugins/wtgplugintemplate/
if(!defined("WTG_WPECUS_PATH")){define("WTG_WPECUS_PATH", plugin_dir_path(__FILE__) );}//C:\AppServ\www\wordpress-testing\wtgplugintemplate\wp-content\plugins\wtgplugintemplate/  
if(!defined("WTG_WPECUS_BASENAME")){define("WTG_WPECUS_BASENAME", plugin_basename( __FILE__ ) );}// wtgplugintemplate/wtgtemplateplugin.php 
if(!defined("WTG_WPECUS_PHPVERSIONMINIMUM")){define("WTG_WPECUS_PHPVERSIONMINIMUM",$wpecus_php_version_minimum);}// The minimum php version that will allow the plugin to work      
if(!defined("WTG_WPECUS_CORE_PATH")){define("WTG_WPECUS_CORE_PATH",WP_PLUGIN_DIR.'/'.WTG_WPECUS_FOLDERNAME.'/wtg-core/');}
if(!defined("WTG_WPECUS_WPCORE_PATH")){define("WTG_WPECUS_WPCORE_PATH",WP_PLUGIN_DIR.'/'.WTG_WPECUS_FOLDERNAME.'/wtg-core/wp/');}                            
if(!defined("WTG_WPECUS_CONTENTFOLDER_DIR")){define("WTG_WPECUS_CONTENTFOLDER_DIR",WP_CONTENT_DIR.'/wpecustomerscontent/');}// directory path to storage folder inside the wp_content folder  
if(!defined("WTG_WPECUS_IMG_URL")){define("WTG_WPECUS_IMG_URL",WP_PLUGIN_URL.'/'.WTG_WPECUS_FOLDERNAME.'/images/');} 
if(!defined("WTG_WPECUS_DATEFORMAT")){define("WTG_WPECUS_DATEFORMAT",'Y-m-d H:i:s');}

// load config file - this file contains functions similiar to all plugins but requiring their own configuration
// the config file acts as a bridge to the wtg-core, it often requires careful updating when the core is updated
require_once(WTG_WPECUS_PATH.'/wpecus_config.php');
                
// set extension switch constant
if(!defined("WTG_WPECUS_EXTENSIONS")){# should not be defined before now ever 
    if(!$wpecus_disable_extensions){
        if(get_option('wpecus_extensions')){
            define("WTG_WPECUS_EXTENSIONS",get_option('wpecus_extensions'));
        }else{
            define("WTG_WPECUS_EXTENSIONS",'disable');
        }
    }
}
                                             
// include wtg-core for all php projects
foreach (scandir( WTG_WPECUS_PATH . 'wtg-core/php/' ) as $wtgcore_filename) {   
    if ($wtgcore_filename != '.' && $wtgcore_filename != '..' && is_file(WTG_WPECUS_PATH . 'wtg-core/php/' . $wtgcore_filename)) { 
        if($wtgcore_filename != 'license.html' && $wtgcore_filename != 'index.php'){
            require_once( WTG_WPECUS_PATH . 'wtg-core/php/' . $wtgcore_filename );
        }                                                   
    }                        
} 
                        
// include wtg-core for wordpress
$core_exclusions_array = array('wtgcore_wp_formsubmit.php');
foreach (scandir( WTG_WPECUS_PATH . 'wtg-core/wp/' ) as $wtgcore_filename) {   
    if (!in_array($wtgcore_filename,$core_exclusions_array) && $wtgcore_filename != '.' && $wtgcore_filename != '..' && is_file(WTG_WPECUS_PATH . 'wtg-core/wp/' . $wtgcore_filename)) { 
        if($wtgcore_filename != 'license.html' && $wtgcore_filename != 'index.php'){
            require_once( WTG_WPECUS_PATH . 'wtg-core/wp/' . $wtgcore_filename );
        }                            
    }                        
}  
    
// initiate plugin (this is a new class approach being slowly introduced to a function only plugin, expect gradual reduction of this file per version)
if( !class_exists( 'WPeCustomers' ) ) {   
   
    require_once(WTG_WPECUS_PATH.'functions/wpecus_core_functions.php');
    require_once(WTG_WPECUS_PATH.'functions/wpecus_automation_functions.php');  
    require_once(WTG_WPECUS_PATH.'functions/wpecus_install_functions.php');
    require_once(WTG_WPECUS_PATH.'functions/wpecus_sql_functions.php');              
    require_once(WTG_WPECUS_PATH.'arrays/wpecus_wordpressoptionrecords_array.php');
    require_once(WTG_WPECUS_PATH.'arrays/wpecus_sections_array.php');
    require_once(WTG_WPECUS_PATH.'wtg-core/wp/wparrays/wtgcore_wp_tables_array.php');

    // include section functions
    global $wpecus_sections_array;
    foreach ($wpecus_sections_array as $section => $section_array) {
        if($section_array['active'] === true){  
            require_once(WTG_WPECUS_PATH . 'functions/sections/' . $section . '/wpecus_' . $section . '_bridges.php');
            require_once(WTG_WPECUS_PATH . 'functions/sections/' . $section . '/wpecus_' . $section . '_core.php');
            require_once(WTG_WPECUS_PATH . 'functions/sections/' . $section . '/wpecus_' . $section . '_ui.php');
        }                                         
    } 
    
    // main classes, the ones we work with the most and extend "users" which extends "tickets" which extends...
    require_once(WTG_WPECUS_PATH.'functions/wpecus_main_classes.php');
    
    global $WPeCus;
    $WPeCus = new WPeCustomers();    
}
$WPeCus->wp_init();

// load settings from option records (must be done after array files and all functions included)                                                                        
$wpecus_adm_set = wpecus_get_option_adminsettings();
if($wpecus_demo_mode != true){wpecus_debugmode();}
$wpecus_was_installed = wpecus_was_installed();     
$wpecus_schedule_array = wpecus_get_option_schedule_array();
$wpecus_is_installed = wpecus_is_installed();// boolean - if false either plugin has never been installed or installation has been tampered with 
      
// admin only values (these are arrays that contain data that should never be displayed on public side, load them admin side only reduces a fault causing display of the information)
if(is_admin()){
    $wpecus_persistent_array = wpecus_get_option_persistentnotifications_array();// holds interface notices/messages, some temporary, some are persistent 
    $wpecus_mpt_arr = wpecus_get_option_tabmenu();
}   
        
// load section hooks
$sections_array = array('affiliates','clients','community','downloads','faq','finance','forum','lab','monetize','questions','rep','tickets','users');
foreach ($sections_array as $section_folder) {  
    $hook_file_path = WTG_WPECUS_PATH . 'functions/sections/' . $section_folder . '/wpecus_' . $section_folder . '_hooks.php'; 
    if (is_file($hook_file_path)) { 
        require_once($hook_file_path);                  
    }                        
}
                                                            
// load admin that must come first and can apply to other plugin pages  
if(is_admin()){ 

    register_activation_hook( __FILE__ ,'wpecus_register_activation_hook');

    // flags post type                         
    add_action( 'add_meta_boxes', 'wpecus_add_meta_boxes_flags' );
    add_action( 'save_post', 'wpecus_save_meta_boxes_flags',10,2 ); 

    // load admin that comes last and always applies no matter what Wordpress core page or plugin is viewed
    add_action('admin_menu','wpecus_admin_menu');// main navigation    
}   
           
// load admin that comes last and applys to WP e-Customers plugin pages only
if(is_admin() && isset($_GET['page']) && wpecus_is_plugin_page($_GET['page'])){

    wpecus_css_core('admin');// script and css admin side   
    add_action('admin_init','wpecus_process');// process form submission
    
}elseif(!is_admin()){// default to public side script and css      

    wpecus_css_core('public');    
}    
                                         
//add_action('init', 'wpecus_event_check');// part of schedule system in paid edition, run auto post and data updating events if any are due
//add_action('init','wpecus_cloak_forward');  
?>