<?php
/** 
 * Plugin configuration for WP e-Customers plugin by WebTechGlobal.co.uk
 *
 * @package WP e-Customers
 * 
 * @since 0.0.1
 */
 
function wpecus_page_toppage(){require_once( WTG_WPECUS_PATH . 'views/main/wpecus_main.php' );}
function wpecus_page_affiliates(){require_once( WTG_WPECUS_PATH . 'views/affiliates/wpecus_main_affiliates.php' );}
function wpecus_page_clients(){require_once( WTG_WPECUS_PATH . 'views/clients/wpecus_main_clients.php' );}
function wpecus_page_community(){require_once( WTG_WPECUS_PATH . 'views/community/wpecus_main_community.php' );}
function wpecus_page_downloads(){require_once( WTG_WPECUS_PATH . 'views/downloads/wpecus_main_downloads.php' );}
function wpecus_page_faq(){require_once( WTG_WPECUS_PATH . 'views/faq/wpecus_main_faq.php' );}
function wpecus_page_finance(){require_once( WTG_WPECUS_PATH . 'views/finance/wpecus_main_finance.php' );}
function wpecus_page_forum(){require_once( WTG_WPECUS_PATH . 'views/forum/wpecus_main_forum.php' );}
function wpecus_page_lab(){require_once( WTG_WPECUS_PATH . 'views/lab/wpecus_main_lab.php' );}
function wpecus_page_monetize(){require_once( WTG_WPECUS_PATH . 'views/monetize/wpecus_main_monetize.php' );}
function wpecus_page_questions(){require_once( WTG_WPECUS_PATH . 'views/questions/wpecus_main_questions.php' );}
function wpecus_page_rep(){require_once( WTG_WPECUS_PATH . 'views/rep/wpecus_main_rep.php' );}
function wpecus_page_tickets(){require_once( WTG_WPECUS_PATH . 'views/tickets/wpecus_main_tickets.php' );}
function wpecus_page_users(){require_once( WTG_WPECUS_PATH . 'views/users/wpecus_main_users.php' );}
function wpecus_page_web(){require_once( WTG_WPECUS_PATH . 'views/web/wpecus_main_web.php' );}

/**
* $_POST and $_GET request processing procedure.
* 
* Checks nonce from any form or URL, then includes functions that processing submission, then includes the
* file that determines which function to use to process the submission.
*
* @package WP e-Customers
* @since 0.0.1  
*/
function wpecus_process(){       

    // establish if form processing is permitted to continue
    $permission_granted = false;
                        
    // form submission
    if(isset($_POST['wpecus_post_processing_required']) && $_POST['wpecus_post_processing_required'] == true){  
        if(isset($_POST['wpecus_admin_referer'])){  
            // a few forms have the wpecus_admin_referer where the default hidden values are not in use
            check_admin_referer( $_POST['wpecus_admin_referer'] );         
        }else{                                       
            // 99% of forms will use this method
            check_admin_referer( $_POST['wpecus_hidden_panel_name'] );
        }        
    }
                        
    // url submission
    if(isset($_GET['wpecusprocess']) && isset($_GET['nonceaction'])){           
        check_admin_referer( $_GET['nonceaction'] );        
    }     
                   
    // arriving here means check_admin_referer() security is positive       
    global $wpecus_debug_mode,$cont,$wpecus_is_free;
                                      
    // if $wpecus_debug_mode set to true or 1 on wpecustomers.php we dump $_POST
    if($wpecus_debug_mode){
        echo '<h1>$_POST</h1>';
        wpecus_var_dump($_POST);           
        echo '<h1>$_GET</h1>';
        wpecus_var_dump($_GET);    
    }
                                   
    // include 2nd step in $_POST|$_GET processing
    require_once(WTG_WPECUS_PATH . 'processing/wpecus_form_two.php');
    
    $continue_processing = true;
                                
    // include 1st step in $_POST|$_GET processing    
    require_once(WTG_WPECUS_PATH . 'processing/wpecus_form_one.php');
                                   
    // include core processing
    require_once(WTG_WPECUS_WPCORE_PATH . 'wtgcore_wp_formsubmit.php');              
                            
    // include extension processing file, allowing us to keep post processing all together 
    if(!$wpecus_is_free){   
        if(WTG_WPECUS_EXTENSIONS != 'disable'){        
            if(wpecus_extension_activation_status('df1')){          
                require_once(WP_CONTENT_DIR . '/wpecustomersextensions/df1/formprocessing.php');
            }
        }      
    }
}   

/**
* Wordpress navigation menu
*/
function wpecus_admin_menu(){ 
    global $wpecus_projectslist_array,$wpecus_currentversion,$wpecus_mpt_arr,$wtgtp_homeslug,$wpecus_pluginname,$wpecus_is_installed,$wpecus_is_free;
                               
    $n = $wpecus_pluginname;

    // if file version is newer than install we display the main page only but re-label it as an update screen
    // the main page itself will also change to offer plugin update details. This approach prevent the problem with 
    // visiting a page without permission between installation
    $installed_version = wpecus_WP_SETTINGS_get_version();                
        
    // installation is not done on activation, we display an installation screen if not fully installed
    if(!$wpecus_is_installed && !isset($_POST['wpecus_plugin_install_now'])){   
       
        // if URL user is attempting to visit any screen other than page=wpecustomers then redirect to it
        if(isset($_GET['page']) && strstr($_GET['page'],'wpecus_')){
            wp_redirect( get_bloginfo('url') . '/wp-admin/admin.php?page=wpecustomers' );           
            exit;    
        }
        
        // if plugin not installed
        add_menu_page(__('Install',$n.'install'), __('WP e-Customers Install','home'), 'administrator', 'wpecustomers', 'wpecus_page_toppage' );
        
    }elseif(isset($wpecus_currentversion) 
    && isset($installed_version) 
    && $installed_version != false
    && $wpecus_currentversion > $installed_version 
    && !isset($_POST['wpecus_plugin_update_now'])){
        
        // if URL user is attempting to visit any screen other than page=wpecustomers then redirect to it
        if(isset($_GET['page']) && strstr($_GET['page'],'wpecus_')){
            wp_redirect( get_bloginfo('url') . '/wp-admin/admin.php?page=wpecustomers' );
            exit;    
        }
                
        // if $installed_version = false it indicates no installation so we should not be displaying an update screen
        // update screen will be displayed after installation submission if this is not in place
        
        // main is always set in menu, even in extensions main must exist
        add_menu_page(__('Update',$n.'update'), __('WP e-Customers Update','home'), 'administrator', 'wpecustomers', 'wpecus_page_toppage' );
        
    }else{

        // main is always set in menu, even in extensions main must exist
        add_menu_page(__($wpecus_mpt_arr['menu']['main']['title'],$n.$wpecus_mpt_arr['menu']['main']['slug']), __($wpecus_mpt_arr['menu']['main']['menu'],'home'), wpecus_WP_SETTINGS_get_page_capability('main'), $n, 'wpecus_page_toppage' ); 
                            
        // loop through sub-pages
        foreach($wpecus_mpt_arr['menu'] as $k => $a){

            // skip none page values such as ['arrayinfo']
            if($k != 'arrayinfo'){
                // skip main page (even extensions use the same main page file but the tab screens may be customised
                if($wpecus_is_free && $a == 'beta' || $k == 'main'){
                    // page is either for paid edition only or is added to the menu elsewhere    
                }else{
                    // if ['active'] is set and not equal to false, if not set we assume true   
                    if(!isset($wpecus_mpt_arr['menu'][$k]['active']) || isset($wpecus_mpt_arr['menu'][$k]['active']) && $wpecus_mpt_arr['menu'][$k]['active'] != false){
                        
                        $display = false;
                        
                        if(!isset($wpecus_mpt_arr['menu'][$k]['package'])){
                            $display = true;// to hide a page we must set the package value
                        }
                        
                        if(isset($wpecus_mpt_arr['menu'][$k]['package']) && $wpecus_mpt_arr['menu'][$k]['package'] == 'paid' && !$wpecus_is_free){
                            $display = true;
                        }
                        
                        // if is free package, only show page if package value set (added 29th April 2013) and the value == free
                        if($display){
                            $required_capability = wpecus_WP_SETTINGS_get_page_capability($k);    
                            add_submenu_page($n, __($wpecus_mpt_arr['menu'][$k]['title'],$n.$wpecus_mpt_arr['menu'][$k]['slug']), __($wpecus_mpt_arr['menu'][$k]['menu'],$n.$wpecus_mpt_arr['menu'][$k]['slug']), $required_capability, $wpecus_mpt_arr['menu'][$k]['slug'], 'wpecus_page_' . $k);
                        }
                    }
                }
            }             

        }// end page loop 
    }
}

function wpecus_register_customposttype_flags(){
    $labels = array(
        'name' => _x('WP e-Customers Flags', 'post type general name'),
        'singular_name' => _x('WP e-Customers Flag', 'post type singular name'),
        'add_new' => _x('Flag Item', 'wpecustomersflags'),
        'add_new_item' => __('Create Flag'),
        'edit_item' => __('Edit Flag'),
        'new_item' => __('Create Flag'),
        'all_items' => __('All Flags'),
        'view_item' => __('View Flag'),
        'search_items' => __('Search Flags'),
        'not_found' =>  __('No flags found'),
        'not_found_in_trash' => __('No flags found in Trash'), 
        'parent_item_colon' => '',
        'menu_name' => 'Flags'
    );
    $args = array(
        'labels' => $labels,
        'public' => false,
        'publicly_queryable' => false,
        'show_ui' => true, 
        'show_in_menu' => true, 
        'query_var' => true,
        'rewrite' => true,
        'capability_type' => 'post',
        'has_archive' => true, 
        'hierarchical' => false,
        'menu_position' => 25,
        'supports' => array( 'title', 'editor' )
    );   

    register_post_type( 'wpecustomersflags', $args );    
}
add_action( 'init', 'wpecus_register_customposttype_flags' );

/**
* Processing $_POST request to download files. 
* 
* For Wordpress backend only, another function is used to handle frontend requests from $_GET and $_POST
* 
* @since 0.0.1
* 
* @package WP e-Customers
*/
function wtgvb_download_by_POST() {   
    if(isset( $_POST['wpecus_hidden_pagename'] ) && $_POST['wpecus_hidden_pagename'] == 'downloads'
    && isset($_POST['wpecus_download_id']) && isset($_POST['wpecus_request_download'])){

        global $current_user;
        
        if(!$current_user){
            return false;
        }                
            
        if(!isset($_POST['wpecus_download_id'])){
            wpecus_notice_postresult('error','No Download ID','Your submission did not include a download ID and it is required. Please try again or report this issue.');
            return false;
        }
        
        $download_ID = wtgvb_clean_numeric($_POST['wpecus_download_id']);
        if(!is_numeric($download_ID)){
            wpecus_notice_postresult('error','ID Not Numeric','All download ID values are numeric. Please enter a number only.');
            return false;
        }
        
        $download_array = wpecus_downloads_get_post($download_ID);

        // post_type must equal "downloads"
        if($download_array->post_type != 'downloads'){
            wpecus_notice_postresult('error','Download ID Not Valid','The ID submitted does not belong to a digital download package.');
            return false;
        }
        
        // post_status must equal "publish"
        if($download_array->post_status != 'publish'){
            wpecus_notice_postresult('error','Download Not Available','The files requested are no longer available.');
            return false;
        }
        
        // get the file path
        if(isset($_POST['wpecus_request_download']) && $_POST['wpecus_request_download'] == 'paid'){
            
            $result = wpecus_downloads_get_paid($current_user->ID);
            if(!$result || !$result->paidpermission){
                wpecus_notice_postresult('warning','Not Permitted To Download','You do not have permission to download the requested premium file. Have you tried our free edition?');    
                return false;
            }else{
                $filename_array = wpecus_downloads_getpaidpath($download_ID); 
            }  
            
        }else{
            
            $result = wpecus_downloads_get_free($current_user->ID);
            if($result && $result->freepermission == false){
                wpecus_notice_postresult('warning','Not Permitted To Download','You do not have permission to download the requested free file. It may be free under certain terms & conditions not met by your account yet.');    
                return false;
            }else{
                $filename_array = wpecus_downloads_getfreepath($download_ID); 
            }
        }
         
        if(!$filename_array){
            wpecus_notice_postresult('error','Download Location Unknown','We are sorry about this. The download is meant to be available but the
            location of the file could not be established. Please report this and we will email the digital download to you while we rectify the issue.');
            return false;
        }        
        
        $filename = $filename_array[0];
               
        if(file_exists($filename) && is_readable($filename) && file_exists($filename)){
            header("Pragma: public");
            header("Expires: 0");
            header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
            header("Cache-Control: private",false);
            header("Content-Type: application/zip");
            header("Content-Disposition: attachment; filename=".basename($filename).";" );
            header("Content-Transfer-Encoding: binary");
            header("Content-Length: ".filesize($filename));
            readfile("$filename");
            exit;
        }else{
            wpecus_notice_postresult('error','Something Went Wrong','This is a critical fault. Please report it and request your files via email.');
            return false;
        }
        
        return false;
    }  
}add_action('init','wtgvb_download_by_POST');        

/**
* Add downloads table to $wpdb
*/
function wpecus_register_downloads_table() {
    global $wpdb;
    $wpdb->wpecusdownloads = "{$wpdb->prefix}wpecusdownloads";
}
add_action( 'init', 'wpecus_register_downloads_table', 1 );
add_action( 'switch_blog', 'wpecus_register_downloads_table' ); 

/**
* Admin Triggered Automation
* This calls various functions to peform cleanup functions, extra security checks and validation
*/
function wpecus_admin_triggered_automation(){
    // clear out log table (48 hour log)
    wpecus_log_cleanup();
}     
?>
