<?php  
/** 
 * WTG own Wordpress Plugin development function library for custom post registration and taxonomies in WP e-Customers plugin 
 * 
 * @link by WebTechGlobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */
 
 
function wpecus_add_meta_boxes_flags() {
    global $wpecus_is_free;

    // phpline
    add_meta_box(
        'flags-meta-phpline',            
        esc_html__( 'PHP Line', 'example' ),       
        'wpecus_meta_box_flags_phpline',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    );
 
    // phpfunction 
    add_meta_box(
        'flags-meta-phpfunction',            
        esc_html__( 'PHP Function', 'example' ),       
        'wpecus_meta_box_flags_phpfunction',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    );       
     
    // priority 
    add_meta_box(
        'flags-meta-priority',            
        esc_html__( 'Priority', 'example' ),       
        'wpecus_meta_box_flags_priority',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    ); 
  
    // type 
    add_meta_box(
        'flags-meta-type',            
        esc_html__( 'Type', 'example' ),       
        'wpecus_meta_box_flags_type',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    );    
    
    // fileurl 
    add_meta_box(
        'flags-meta-fileurl',            
        esc_html__( 'File URL', 'example' ),       
        'wpecus_meta_box_flags_fileurl',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    ); 

    // dataid 
    add_meta_box(
        'flags-meta-dataid',            
        esc_html__( 'Data ID', 'example' ),       
        'wpecus_meta_box_flags_dataid',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    ); 

    // userid 
    add_meta_box(
        'flags-meta-userid',            
        esc_html__( 'User ID', 'example' ),       
        'wpecus_meta_box_flags_userid',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    ); 
    
    // errortext 
    add_meta_box(
        'flags-meta-errortext',            
        esc_html__( 'Error Text', 'example' ),       
        'wpecus_meta_box_flags_errortext',        
        'wpecustomersflags',                  
        'normal',                 
        'default'                  
    ); 
    
    // projectid 
    add_meta_box(
        'flags-meta-projectid',            
        esc_html__( 'Project ID', 'example' ),       
        'wpecus_meta_box_flags_projectid',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    ); 

    // reason 
    add_meta_box(
        'flags-meta-reason',            
        esc_html__( 'Reason', 'example' ),       
        'wpecus_meta_box_flags_reason',        
        'wpecustomersflags',                  
        'normal',                 
        'default'                  
    ); 

    // action 
    add_meta_box(
        'flags-meta-action',            
        esc_html__( 'Action', 'example' ),       
        'wpecus_meta_box_flags_action',        
        'wpecustomersflags',                  
        'normal',                 
        'default'                  
    ); 
    
    // instructions 
    add_meta_box(
        'flags-meta-instructions',            
        esc_html__( 'Instructions', 'example' ),       
        'wpecus_meta_box_flags_instructions',        
        'wpecustomersflags',                  
        'normal',                 
        'default'                  
    ); 

    // dump 
    add_meta_box(
        'flags-meta-dump',            
        esc_html__( 'Dump', 'example' ),       
        'wpecus_meta_box_flags_dump',        
        'wpecustomersflags',                  
        'normal',                 
        'default'                  
    ); 

    // creator 
    add_meta_box(
        'flags-meta-creator',            
        esc_html__( 'Creator', 'example' ),       
        'wpecus_meta_box_flags_creator',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    ); 
    
    // version 
    add_meta_box(
        'flags-meta-version',            
        esc_html__( 'Version', 'example' ),       
        'wpecus_meta_box_flags_version',        
        'wpecustomersflags',                  
        'side',                 
        'default'                  
    ); 
}

// phpline meta box
function wpecus_meta_box_flags_phpline( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_phplinenonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_phpline" id="phpline-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_phpline', true ) ); ?>" size="30" />
    </p><?php 
}

// phpfunction meta box
function wpecus_meta_box_flags_phpfunction( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_phpfunctionnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_phpfunction" id="phpfunction-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_phpfunction', true ) ); ?>" size="30" />
    </p><?php 
}    
    
// priority meta box
function wpecus_meta_box_flags_priority( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_prioritynonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_priority" id="priority-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_priority', true ) ); ?>" size="30" />
    </p><?php 
}        

// type meta box
function wpecus_meta_box_flags_type( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_typenonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_type" id="type-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_type', true ) ); ?>" size="30" />
    </p><?php 
}      

// fileurl meta box
function wpecus_meta_box_flags_fileurl( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_fileurlnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_fileurl" id="fileurl-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_fileurl', true ) ); ?>" size="30" />
    </p><?php 
}      

// dataid meta box
function wpecus_meta_box_flags_dataid( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_dataidnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_dataid" id="dataid-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_dataid', true ) ); ?>" size="30" />
    </p><?php 
}      

// userid meta box
function wpecus_meta_box_flags_userid( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_useridnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_userid" id="userid-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_userid', true ) ); ?>" size="30" />
    </p><?php 
}      

// errortext meta box
function wpecus_meta_box_flags_errortext( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_errortextnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_errortext" id="errortext-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_errortext', true ) ); ?>" size="30" />
    </p><?php 
}      

// projectid meta box
function wpecus_meta_box_flags_projectid( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_projectidnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_projectid" id="projectid-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_projectid', true ) ); ?>" size="30" />
    </p><?php 
}        

// reason 
function wpecus_meta_box_flags_reason( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_reasonnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_reason" id="reason-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_reason', true ) ); ?>" size="30" />
    </p><?php 
}        
        
// action 
function wpecus_meta_box_flags_action( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_actionnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_action" id="action-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_action', true ) ); ?>" size="30" />
    </p><?php 
}        

// instructions 
function wpecus_meta_box_flags_instructions( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_instructionsnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_instructions" id="action-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_instructions', true ) ); ?>" size="30" />
    </p><?php 
}      

// dump 
function wpecus_meta_box_flags_dump( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flags_dumpnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_dump" id="action-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_dump', true ) ); ?>" size="30" />
    </p><?php 
}      

// creator 
function wpecus_meta_box_flags_creator( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_creator_creatornonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_creator" id="action-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_creator', true ) ); ?>" size="30" />
    </p><?php 
}      

// version 
function wpecus_meta_box_flags_version( $object, $box ) { ?>
    <?php wp_nonce_field( basename( __FILE__ ), 'wpecus_flagsnonce' ); ?>
    <p>
        <input class="widefat" type="text" name="wpecus_flags_version" id="version-id" value="<?php echo esc_attr( get_post_meta( $object->ID, '_wpecustomersflags_version', true ) ); ?>" size="30" />
    </p><?php 
}   

/**
* Save flag meta box's
* 
* @param mixed $post_id
* @param mixed $post
*/
function wpecus_save_meta_boxes_flags( $post_id, $post ) {

    /* Verify the nonce before proceeding. */
    if ( !isset( $_POST['wpecus_flagsnonce'] ) || !wp_verify_nonce( $_POST['wpecus_flagsnonce'], basename( __FILE__ ) ) )    
        return $post_id;
        
    // check autosave
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return $post_id;
    }
 
    // check permissions
    if ( (key_exists('post_type', $post)) && ('page' == $post['post_type']) ) {
        if (!current_user_can('edit_page', $post_id)) {
            return $post_id;
        }
    } elseif (!current_user_can('edit_post', $post_id)) {
        return $post_id;
    }        

    /* Get the post type object. */
    $post_type = get_post_type_object( $post->post_type );

    /* Check if the current user has permission to edit the post. */
    if ( !current_user_can( $post_type->cap->edit_post, $post_id ) ){
        return $post_id;
    }
    
    $flagmeta_array = array('phpline','phpfunction','priority','type','fileurl','dataid','userid','errortext',
    'projectid','reason','action','instructions','dump','creator','version');
 
    // loop through our terms and meta functions
    foreach($flagmeta_array as $key => $term){  
        $new_meta_value = '';
         
        /* Get the meta key. */
        $meta_key = '_wpecustomersflags_' . $term;

        if(isset($_POST['wpecus_flags_'.$term])){
            $new_meta_value = $_POST['wpecus_flags_'.$term];    
        }
        
        /* Get the meta value of the custom field key. */
        $meta_value = get_post_meta( $post_id, $meta_key, true );

        if ( $new_meta_value && '' == $meta_value ){
            add_post_meta( $post_id, $meta_key, $new_meta_value, true );# new meta value was added and there was no previous value
        }elseif ( $new_meta_value && $new_meta_value != $meta_value ){
            update_post_meta( $post_id, $meta_key, $new_meta_value );# new meta value does not match the old value, update it
        }elseif ( '' == $new_meta_value && $meta_value ){
            delete_post_meta( $post_id, $meta_key, $meta_value );# no new meta value but an old value exists, delete it
        }
    }
}
?>
