<?php
/** 
 * WTG own Wordpress Plugin development function library for security in WP e-Customers plugin 
 * 
 * @link by WebTechGlobal.co.uk
 * 
 * @author Ryan Bayne | ryan@webtechglobal.co.uk
 *
 * @package WP e-Customers
 */
 
 
/**
* Put the function in the head of a file to prevent it being called directly. 
* Uses function_exists to check if a common Wordpress function has loaded, indicating
* Wordpress has loaded. Wordpress security would the be in effect. 
*/
function wpecus_WP_SECURITY_exit_forbidden_request($file = 'Unknown'){
    if (!function_exists('add_action')) {
        header('Status: 403 Forbidden');
        header('HTTP/1.1 403 Forbidden');
        exit();
    }
}

/**
* Checks if DOING_AJAX is set, indicating header is loaded for ajax request only
* @link http://www.wpecustomers.com/troubleshooting-tips/no-scheduled-events-during-ajax-requests
* @return boolean true if Ajax request ongoing else false        
*/
function wpecus_DOING_AJAX(){
    if(defined('DOING_AJAX')){
        return true;
    }
    return false;    
} 

/**
* Determines if the giving value is a WP e-Customers page or not
*/
function wpecus_is_plugin_page($page){
    return strstr($page,'wpecustomers');  
} 
?>
